<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1 class="extension">extension: bundled:libnormaliz</h1>
  <p>  Normaliz is a tool for computations in affine monoids, vector configurations, lattice polytopes, and rational cones.<br xmlns="http://www.w3.org/1999/xhtml"/>  Copyright by Winfried Bruns, Bogdan Ichim, Christof Soeger.<br xmlns="http://www.w3.org/1999/xhtml"/>  http://www.math.uos.de/normaliz/<br xmlns="http://www.w3.org/1999/xhtml"/></p>
  <h1>application: polytope</h1>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:polytope__normaliz_compute" onclick="swap_content('span:polytope__normaliz_compute'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="polytope__normaliz_compute" onclick="swap_content('span:polytope__normaliz_compute'); return false;"><b>normaliz_compute</b></a>
			(C)  

			
				→ perl::ListReturn<div style="display: inline" id="span:polytope__normaliz_compute" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute degree one elements, Hilbert basis or Hilbert series of a cone C with libnormaliz
 Hilbert series and Hilbert h-vector depend on the given grading
 and will not work unless C is <a href="polytope.html#Cone__specializations__Cone_Rational__HOMOGENEOUS" onclick="unfold('span:Cone__specializations__Cone_Rational__HOMOGENEOUS');">HOMOGENEOUS</a> or a <a href="polytope.html#Cone__specializations__Cone_Rational__MONOID_GRADING" onclick="unfold('span:Cone__specializations__Cone_Rational__MONOID_GRADING');">MONOID_GRADING</a> is set</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">from_facets</td><td><div class="descr"><div>supply facets instead of rays to normaliz</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">degree_one_generators</td><td><div class="descr"><div>compute the generators of degree one, i.e. lattice points of the polytope</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">hilbert_basis</td><td><div class="descr"><div>compute Hilbert basis of the cone C</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">h_star_vector</td><td><div class="descr"><div>compute Hilbert h-vector of the cone C</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">hilbert_series</td><td><div class="descr"><div>compute Hilbert series of the monoid</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">facets</td><td><div class="descr"><div>compute support hyperplanes (=FACETS,LINEAR_SPAN)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">rays</td><td><div class="descr"><div>compute extreme rays (=RAYS)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual_algorithm</td><td><div class="descr"><div>use the dual algorithm by Pottier</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">skip_long</td><td><div class="descr"><div>do not try to use long coordinates first</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>libnormaliz debug output</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>perl::ListReturn</td><td><div class="descr"><div>(degree one generators, Hilbert basis, Hilbert h-vector, Hilbert series, facets, linear_span, rays) (if they are requested)</div></div></td></tr></table></div></div></div>
        </div>
      </li>
    </ul>
  </div>
</div>
