<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: fulton</h1><div class="descr"><p> This application deals with normal toric varieties as discussed in the famous
 book</p><p> William Fulton: Introduction to toric varieties.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="fan.html">fan</a>, <a href="graph.html">graph</a>, <a href="ideal.html">ideal</a>, <a href="polytope.html">polytope</a><br/><b>uses: </b><a href="group.html">group</a>, <a href="topaz.html">topaz</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:AffineNormalToricVariety" onclick="swap_content('span:AffineNormalToricVariety'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="AffineNormalToricVariety" onclick="swap_content('span:AffineNormalToricVariety'); return false;"><span class="object">AffineNormalToricVariety</span></a></h3></div><div style="display: inline" id="span:AffineNormalToricVariety" class="foldit"><div class="descr"><p> A normal toric variety that is affine, i.e., given by a cone.</p></div><b>derived from: </b><a href="#NormalToricVariety" onclick="unfold('span:NormalToricVariety');">NormalToricVariety</a><br/><div class="level3"/><h4>Properties of AffineNormalToricVariety</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:AffineNormalToricVariety__properties__Combinatorics" onclick="swap_content('span:AffineNormalToricVariety__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="AffineNormalToricVariety__properties__Combinatorics" onclick="swap_content('span:AffineNormalToricVariety__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:AffineNormalToricVariety__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul><li><div class="li"><div class="icon" id="icon:AffineNormalToricVariety__WEIGHT_CONE" onclick="swap_content('span:AffineNormalToricVariety__WEIGHT_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="AffineNormalToricVariety__WEIGHT_CONE" onclick="swap_content('span:AffineNormalToricVariety__WEIGHT_CONE'); return false;"><b>WEIGHT_CONE</b>:
		</a><a href="polytope.html#Cone__specializations__Cone_Rational" onclick="unfold('span:Cone__specializations__Cone_Rational');">polytope::Cone&lt;Rational&gt;</a><br/><div style="display: inline" id="span:AffineNormalToricVariety__WEIGHT_CONE" class="foldit"><div class="descr"><p> The weight cone of the algebra yielding the affine normal toric variety.
 I.e., intersect this cone with the lattice, take the semigroup algebra over
 it and take the spectrum.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:CyclicQuotient" onclick="swap_content('span:CyclicQuotient'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="CyclicQuotient" onclick="swap_content('span:CyclicQuotient'); return false;"><span class="object">CyclicQuotient</span></a></h3></div><div style="display: inline" id="span:CyclicQuotient" class="foldit"><div class="descr"><p> An affine normal toric variety given by a two-dimensional cone in
 two-dimensional space.</p></div><b>derived from: </b><a href="#AffineNormalToricVariety" onclick="unfold('span:AffineNormalToricVariety');">AffineNormalToricVariety</a><br/><div class="level3"/><h4>Properties of CyclicQuotient</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:CyclicQuotient__properties__Algebraic_Geometry" onclick="swap_content('span:CyclicQuotient__properties__Algebraic_Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="CyclicQuotient__properties__Algebraic_Geometry" onclick="swap_content('span:CyclicQuotient__properties__Algebraic_Geometry'); return false;"><span class="category">Algebraic Geometry</span></a></h3></div><div style="display: inline" id="span:CyclicQuotient__properties__Algebraic_Geometry" class="foldit"><div class="descr"><p> Properties relevant for the algebro-geometric side of CQS.</p></div><ul><li><div class="li"><div class="icon" id="icon:CyclicQuotient__VERSAL_COMPONENT" onclick="swap_content('span:CyclicQuotient__VERSAL_COMPONENT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CyclicQuotient__VERSAL_COMPONENT" onclick="swap_content('span:CyclicQuotient__VERSAL_COMPONENT'); return false;"><b>VERSAL_COMPONENT</b>:
		</a><a href="#VersalComponent" onclick="unfold('span:VersalComponent');">VersalComponent</a><br/><div style="display: inline" id="span:CyclicQuotient__VERSAL_COMPONENT" class="foldit"><div class="descr"><p> The components of the versal deformation.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:CyclicQuotient__VERSAL_COMPONENTS" onclick="swap_content('span:CyclicQuotient__VERSAL_COMPONENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CyclicQuotient__VERSAL_COMPONENTS" onclick="swap_content('span:CyclicQuotient__VERSAL_COMPONENTS'); return false;"><b>VERSAL_COMPONENTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:CyclicQuotient__VERSAL_COMPONENTS" class="foldit"><div class="descr"><p> The continued fractions equivalent to zero that index the components of
 the versal deformation.</p><p> See
</p><blockquote><div>Jan Arthur Christophersen: On the components and discriminant of the versal base space of cyclic quotient singularities.</div></blockquote></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:CyclicQuotient__properties__Input_properties" onclick="swap_content('span:CyclicQuotient__properties__Input_properties'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="CyclicQuotient__properties__Input_properties" onclick="swap_content('span:CyclicQuotient__properties__Input_properties'); return false;"><span class="category">Input properties</span></a></h3></div><div style="display: inline" id="span:CyclicQuotient__properties__Input_properties" class="foldit"><div class="descr"><p> Properties defining a cyclic quotient singularity. Please be careful in
 checking the consistency if you give multiple input properties.</p></div><ul><li><div class="li"><div class="icon" id="icon:CyclicQuotient__CONTINUED_FRACTION" onclick="swap_content('span:CyclicQuotient__CONTINUED_FRACTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CyclicQuotient__CONTINUED_FRACTION" onclick="swap_content('span:CyclicQuotient__CONTINUED_FRACTION'); return false;"><b>CONTINUED_FRACTION</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:CyclicQuotient__CONTINUED_FRACTION" class="foldit"><div class="descr"><p> Representation of the number n/q as a Hirzebruch-Jung continued fraction.
 Take care that this property agrees with the dual property.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:CyclicQuotient__DUAL_CONTINUED_FRACTION" onclick="swap_content('span:CyclicQuotient__DUAL_CONTINUED_FRACTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CyclicQuotient__DUAL_CONTINUED_FRACTION" onclick="swap_content('span:CyclicQuotient__DUAL_CONTINUED_FRACTION'); return false;"><b>DUAL_CONTINUED_FRACTION</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:CyclicQuotient__DUAL_CONTINUED_FRACTION" class="foldit"><div class="descr"><p> Representation of the number n/(n-q) as a Hirzebruch-Jung continued
 fraction.  Take care that this property agrees with the dual property.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:CyclicQuotient__N" onclick="swap_content('span:CyclicQuotient__N'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CyclicQuotient__N" onclick="swap_content('span:CyclicQuotient__N'); return false;"><b>N</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:CyclicQuotient__N" class="foldit"><div class="descr"><p> Every cyclic quotient variety corresponds to a cone given by the rays
 (1,0) and (-q,n).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:CyclicQuotient__Q" onclick="swap_content('span:CyclicQuotient__Q'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CyclicQuotient__Q" onclick="swap_content('span:CyclicQuotient__Q'); return false;"><b>Q</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:CyclicQuotient__Q" class="foldit"><div class="descr"><p> Every cyclic quotient variety corresponds to a cone given by the rays
 (1,0) and (-q,n).</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety" onclick="swap_content('span:NormalToricVariety'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="NormalToricVariety" onclick="swap_content('span:NormalToricVariety'); return false;"><span class="object">NormalToricVariety</span></a></h3></div><div style="display: inline" id="span:NormalToricVariety" class="foldit"><div class="descr"><p> A normal toric variety given by a fan.</p></div><b>derived from: </b><a href="fan.html#PolyhedralFan__specializations__PolyhedralFan_Rational" onclick="unfold('span:PolyhedralFan__specializations__PolyhedralFan_Rational');">fan::PolyhedralFan&lt;Rational&gt;</a><br/><div class="level3"/><h4>Properties of NormalToricVariety</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:NormalToricVariety__properties__Algebraic_Geometry" onclick="swap_content('span:NormalToricVariety__properties__Algebraic_Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="NormalToricVariety__properties__Algebraic_Geometry" onclick="swap_content('span:NormalToricVariety__properties__Algebraic_Geometry'); return false;"><span class="category">Algebraic Geometry</span></a></h3></div><div style="display: inline" id="span:NormalToricVariety__properties__Algebraic_Geometry" class="foldit"><div class="descr"><p> Properties from algebraic geometry.</p></div><ul><li><div class="li"><div class="icon" id="icon:NormalToricVariety__AFFINE" onclick="swap_content('span:NormalToricVariety__AFFINE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__AFFINE" onclick="swap_content('span:NormalToricVariety__AFFINE'); return false;"><b>AFFINE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:NormalToricVariety__AFFINE" class="foldit"><div class="descr"><p> A toric variety is <em class="u">affine</em> if the fan consists of a single
 cone.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__DEGENERATE" onclick="swap_content('span:NormalToricVariety__DEGENERATE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__DEGENERATE" onclick="swap_content('span:NormalToricVariety__DEGENERATE'); return false;"><b>DEGENERATE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:NormalToricVariety__DEGENERATE" class="foldit"><div class="descr"><p> A toric variety is <a href="#NormalToricVariety__DEGENERATE" onclick="unfold('span:NormalToricVariety__DEGENERATE');">DEGENERATE</a> if the fan is not <a href="fan.html#PolyhedralFan__FULL_DIM" onclick="unfold('span:PolyhedralFan__FULL_DIM');">FULL_DIM</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__DIVISOR" onclick="swap_content('span:NormalToricVariety__DIVISOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__DIVISOR" onclick="swap_content('span:NormalToricVariety__DIVISOR'); return false;"><b>DIVISOR</b>:
		</a><a href="#TDivisor" onclick="unfold('span:TDivisor');">TDivisor</a><br/><div style="display: inline" id="span:NormalToricVariety__DIVISOR" class="foldit"><div class="descr"><p> A toric invariant divisor on the variety given by the fan.
 It is represented by an integer vector with entries corresponding to the rays of the fan.
 The actual divisor is stored in the property <a href="#TDivisor__COEFFICIENTS" onclick="unfold('span:TDivisor__COEFFICIENTS');">COEFFICIENTS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__EFFECTIVE_CONE" onclick="swap_content('span:NormalToricVariety__EFFECTIVE_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__EFFECTIVE_CONE" onclick="swap_content('span:NormalToricVariety__EFFECTIVE_CONE'); return false;"><b>EFFECTIVE_CONE</b>:
		</a><a href="polytope.html#Cone__specializations__Cone_Rational" onclick="unfold('span:Cone__specializations__Cone_Rational');">polytope::Cone&lt;Rational&gt;</a><br/><div style="display: inline" id="span:NormalToricVariety__EFFECTIVE_CONE" class="foldit"><div class="descr"><p> The cone of effective divisors in the rational class group.
 A class of divisors D is effective if the corresponding polytope P<sub>D</sub> is non-empty.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__FANO" onclick="swap_content('span:NormalToricVariety__FANO'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__FANO" onclick="swap_content('span:NormalToricVariety__FANO'); return false;"><b>FANO</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:NormalToricVariety__FANO" class="foldit"><div class="descr"><p> A toric variety is <a href="#NormalToricVariety__FANO" onclick="unfold('span:NormalToricVariety__FANO');">FANO</a> if the anticanonical divisor is <a href="#TDivisor__AMPLE" onclick="unfold('span:TDivisor__AMPLE');">AMPLE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__MORI_CONE" onclick="swap_content('span:NormalToricVariety__MORI_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__MORI_CONE" onclick="swap_content('span:NormalToricVariety__MORI_CONE'); return false;"><b>MORI_CONE</b>:
		</a><a href="polytope.html#Cone__specializations__Cone_Rational" onclick="unfold('span:Cone__specializations__Cone_Rational');">polytope::Cone&lt;Rational&gt;</a><br/><div style="display: inline" id="span:NormalToricVariety__MORI_CONE" class="foldit"><div class="descr"><p> The dual of the <a href="#NormalToricVariety__NEF_CONE" onclick="unfold('span:NormalToricVariety__NEF_CONE');">NEF_CONE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__NEF_CONE" onclick="swap_content('span:NormalToricVariety__NEF_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__NEF_CONE" onclick="swap_content('span:NormalToricVariety__NEF_CONE'); return false;"><b>NEF_CONE</b>:
		</a><a href="polytope.html#Cone__specializations__Cone_Rational" onclick="unfold('span:Cone__specializations__Cone_Rational');">polytope::Cone&lt;Rational&gt;</a><br/><div style="display: inline" id="span:NormalToricVariety__NEF_CONE" class="foldit"><div class="descr"><p> The cone of nef divisors in the rational class group.
 This is the closure of the cone of ample divisors, where
 a divisor of the variety is ample if the fan coincides with the normal fan of P<sub>D</sub>;
 equivalently, a divisor is nef if the inequalities it defines are tight on P<sub>D</sub>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__PROJECTIVE" onclick="swap_content('span:NormalToricVariety__PROJECTIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__PROJECTIVE" onclick="swap_content('span:NormalToricVariety__PROJECTIVE'); return false;"><b>PROJECTIVE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:NormalToricVariety__PROJECTIVE" class="foldit"><div class="descr"><p> A toric variety is <em class="u">projective</em> if the corresponding fan is the <a href="fan.html#normal_fan" onclick="unfold('span:normal_fan');">normal fan</a> of some polytope.
 Alias for property <a href="fan.html#PolyhedralFan__REGULAR" onclick="unfold('span:PolyhedralFan__REGULAR');">REGULAR</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__RATIONAL_DIVISOR_CLASS_GROUP" onclick="swap_content('span:NormalToricVariety__RATIONAL_DIVISOR_CLASS_GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__RATIONAL_DIVISOR_CLASS_GROUP" onclick="swap_content('span:NormalToricVariety__RATIONAL_DIVISOR_CLASS_GROUP'); return false;"><b>RATIONAL_DIVISOR_CLASS_GROUP</b>:
		</a><a href="#RationalDivisorClassGroup" onclick="unfold('span:RationalDivisorClassGroup');">RationalDivisorClassGroup</a><br/><div style="display: inline" id="span:NormalToricVariety__RATIONAL_DIVISOR_CLASS_GROUP" class="foldit"><div class="descr"><p> The torsion free part of the class group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__SMOOTH" onclick="swap_content('span:NormalToricVariety__SMOOTH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__SMOOTH" onclick="swap_content('span:NormalToricVariety__SMOOTH'); return false;"><b>SMOOTH</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:NormalToricVariety__SMOOTH" class="foldit"><div class="descr"><p> A toric variety is <em class="u">smooth</em> if the fan is <a href="fan.html#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">smooth</a>.
 Alias for property <a href="fan.html#PolyhedralFan__specializations__PolyhedralFan_Rational__SMOOTH_FAN" onclick="unfold('span:PolyhedralFan__specializations__PolyhedralFan_Rational__SMOOTH_FAN');">SMOOTH_FAN</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__properties__Basic_properties" onclick="swap_content('span:NormalToricVariety__properties__Basic_properties'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="NormalToricVariety__properties__Basic_properties" onclick="swap_content('span:NormalToricVariety__properties__Basic_properties'); return false;"><span class="category">Basic properties</span></a></h3></div><div style="display: inline" id="span:NormalToricVariety__properties__Basic_properties" class="foldit"><div class="descr"><p> Properties defining a normal toric variety.</p></div><ul><li><div class="li"><div class="icon" id="icon:NormalToricVariety__GENERATING_POLYTOPE" onclick="swap_content('span:NormalToricVariety__GENERATING_POLYTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__GENERATING_POLYTOPE" onclick="swap_content('span:NormalToricVariety__GENERATING_POLYTOPE'); return false;"><b>GENERATING_POLYTOPE</b>:
		</a><a href="polytope.html#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">polytope::Polytope&lt;Rational&gt;</a><br/><div style="display: inline" id="span:NormalToricVariety__GENERATING_POLYTOPE" class="foldit"><div class="descr"><p> Polytope such that the fan of the toric variety is the normal fan of this polytope.
 This does not necessarily exist. For determining existence and computation we use
 Shepards theorem.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__N_MAXIMAL_TORUS_ORBITS" onclick="swap_content('span:NormalToricVariety__N_MAXIMAL_TORUS_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__N_MAXIMAL_TORUS_ORBITS" onclick="swap_content('span:NormalToricVariety__N_MAXIMAL_TORUS_ORBITS'); return false;"><b>N_MAXIMAL_TORUS_ORBITS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:NormalToricVariety__N_MAXIMAL_TORUS_ORBITS" class="foldit"><div class="descr"><p> The number of maximal torus orbits. Equals the number of rays of the fan.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:NormalToricVariety__ORBIFOLD" onclick="swap_content('span:NormalToricVariety__ORBIFOLD'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="NormalToricVariety__ORBIFOLD" onclick="swap_content('span:NormalToricVariety__ORBIFOLD'); return false;"><b>ORBIFOLD</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:NormalToricVariety__ORBIFOLD" class="foldit"><div class="descr"><p> A toric variety is an <a href="#NormalToricVariety__ORBIFOLD" onclick="unfold('span:NormalToricVariety__ORBIFOLD');">ORBIFOLD</a> if the fan is <a href="fan.html#PolyhedralFan__SIMPLICIAL" onclick="unfold('span:PolyhedralFan__SIMPLICIAL');">SIMPLICIAL</a>.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:RationalDivisorClassGroup" onclick="swap_content('span:RationalDivisorClassGroup'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="RationalDivisorClassGroup" onclick="swap_content('span:RationalDivisorClassGroup'); return false;"><span class="object">RationalDivisorClassGroup</span></a></h3></div><div style="display: inline" id="span:RationalDivisorClassGroup" class="foldit"><div class="descr"><p> The class group Cl(X) of Weil divisors on the toric variety
 defined by the fan is a finitely generated abelian group of rank <a href="fan.html#PolyhedralFan__N_RAYS" onclick="unfold('span:PolyhedralFan__N_RAYS');">N_RAYS</a>-<a href="fan.html#PolyhedralFan__DIM" onclick="unfold('span:PolyhedralFan__DIM');">DIM</a>.
 It usually contains torsion.
 The rational divisor class group is the tensor product of Cl(X) with Q over Z.
 This group is torsion free and corresponds to the Picard group if the variety is non-singular.</p></div><div class="level3"/><h4>Properties of RationalDivisorClassGroup</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:RationalDivisorClassGroup__properties__Algebraic_Geometry" onclick="swap_content('span:RationalDivisorClassGroup__properties__Algebraic_Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="RationalDivisorClassGroup__properties__Algebraic_Geometry" onclick="swap_content('span:RationalDivisorClassGroup__properties__Algebraic_Geometry'); return false;"><span class="category">Algebraic Geometry</span></a></h3></div><div style="display: inline" id="span:RationalDivisorClassGroup__properties__Algebraic_Geometry" class="foldit"><div class="descr"><p> Properties from algebraic geometry.</p></div><ul><li><div class="li"><div class="icon" id="icon:RationalDivisorClassGroup__LIFTING" onclick="swap_content('span:RationalDivisorClassGroup__LIFTING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="RationalDivisorClassGroup__LIFTING" onclick="swap_content('span:RationalDivisorClassGroup__LIFTING'); return false;"><b>LIFTING</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:RationalDivisorClassGroup__LIFTING" class="foldit"><div class="descr"><p> Lifts a divisor in the class group onto a divisor on the fan.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:RationalDivisorClassGroup__PROJECTION" onclick="swap_content('span:RationalDivisorClassGroup__PROJECTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="RationalDivisorClassGroup__PROJECTION" onclick="swap_content('span:RationalDivisorClassGroup__PROJECTION'); return false;"><b>PROJECTION</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:RationalDivisorClassGroup__PROJECTION" class="foldit"><div class="descr"><p> Maps a divisor on the variety onto its representation in the class group.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor" onclick="swap_content('span:TDivisor'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="TDivisor" onclick="swap_content('span:TDivisor'); return false;"><span class="object">TDivisor</span></a></h3></div><div style="display: inline" id="span:TDivisor" class="foldit"><div class="descr"><p> A <em class="param">T</em>-invariant divisor on a normal toric variety.</p></div><div class="level3"/><h4>Properties of TDivisor</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TDivisor__properties__Algebraic_Geometry" onclick="swap_content('span:TDivisor__properties__Algebraic_Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="TDivisor__properties__Algebraic_Geometry" onclick="swap_content('span:TDivisor__properties__Algebraic_Geometry'); return false;"><span class="category">Algebraic Geometry</span></a></h3></div><div style="display: inline" id="span:TDivisor__properties__Algebraic_Geometry" class="foldit"><div class="descr"><p> Properties from algebraic geometry.</p></div><ul><li><div class="li"><div class="icon" id="icon:TDivisor__AMPLE" onclick="swap_content('span:TDivisor__AMPLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__AMPLE" onclick="swap_content('span:TDivisor__AMPLE'); return false;"><b>AMPLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__AMPLE" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">ample</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__BASEPOINT_FREE" onclick="swap_content('span:TDivisor__BASEPOINT_FREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__BASEPOINT_FREE" onclick="swap_content('span:TDivisor__BASEPOINT_FREE'); return false;"><b>BASEPOINT_FREE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__BASEPOINT_FREE" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">basepoint-free</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__CARTIER" onclick="swap_content('span:TDivisor__CARTIER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__CARTIER" onclick="swap_content('span:TDivisor__CARTIER'); return false;"><b>CARTIER</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__CARTIER" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">Cartier</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__EFFECTIVE" onclick="swap_content('span:TDivisor__EFFECTIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__EFFECTIVE" onclick="swap_content('span:TDivisor__EFFECTIVE'); return false;"><b>EFFECTIVE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__EFFECTIVE" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">effective</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__INTEGRAL" onclick="swap_content('span:TDivisor__INTEGRAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__INTEGRAL" onclick="swap_content('span:TDivisor__INTEGRAL'); return false;"><b>INTEGRAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__INTEGRAL" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">integral</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__NEF" onclick="swap_content('span:TDivisor__NEF'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__NEF" onclick="swap_content('span:TDivisor__NEF'); return false;"><b>NEF</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__NEF" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">nef</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__PRINCIPAL" onclick="swap_content('span:TDivisor__PRINCIPAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__PRINCIPAL" onclick="swap_content('span:TDivisor__PRINCIPAL'); return false;"><b>PRINCIPAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__PRINCIPAL" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">principal</em>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__Q_CARTIER" onclick="swap_content('span:TDivisor__Q_CARTIER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__Q_CARTIER" onclick="swap_content('span:TDivisor__Q_CARTIER'); return false;"><b>Q_CARTIER</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__Q_CARTIER" class="foldit"><div class="descr"><p> A divisor is <em class="u">Q-Cartier</em> if some multiple of it is <a href="#TDivisor__CARTIER" onclick="unfold('span:TDivisor__CARTIER');">CARTIER</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__SEMIAMPLE" onclick="swap_content('span:TDivisor__SEMIAMPLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__SEMIAMPLE" onclick="swap_content('span:TDivisor__SEMIAMPLE'); return false;"><b>SEMIAMPLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:TDivisor__SEMIAMPLE" class="foldit"><div class="descr"><p> True if the divisor is <em class="u">semiample</em>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__properties__Combinatorics" onclick="swap_content('span:TDivisor__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="TDivisor__properties__Combinatorics" onclick="swap_content('span:TDivisor__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:TDivisor__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul><li><div class="li"><div class="icon" id="icon:TDivisor__CARTIER_DATA" onclick="swap_content('span:TDivisor__CARTIER_DATA'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__CARTIER_DATA" onclick="swap_content('span:TDivisor__CARTIER_DATA'); return false;"><b>CARTIER_DATA</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Set&lt;Int&gt;, Vector&lt;Rational&gt;&gt;</a><br/><div style="display: inline" id="span:TDivisor__CARTIER_DATA" class="foldit"><div class="descr"><p> Contains the <em class="u">Cartier data</em> of the divisor if it is <a href="#TDivisor__CARTIER" onclick="unfold('span:TDivisor__CARTIER');">CARTIER</a>,
 i.e., contains a list of vertices of the lattice polytope defined by the divisor and the variety.
 The vertices appear in the same order as the maximal cones of the fan.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__COEFFICIENTS" onclick="swap_content('span:TDivisor__COEFFICIENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__COEFFICIENTS" onclick="swap_content('span:TDivisor__COEFFICIENTS'); return false;"><b>COEFFICIENTS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Rational&gt;</a><br/><div style="display: inline" id="span:TDivisor__COEFFICIENTS" class="foldit"><div class="descr"><p> The divisor on a toric variety,
 given as a list of coefficients for the torus invariant divisors corresponding to the <a href="fan.html#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> of the fan.
 Take care of labeling of the Rays.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__MODULE_GENERATORS" onclick="swap_content('span:TDivisor__MODULE_GENERATORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__MODULE_GENERATORS" onclick="swap_content('span:TDivisor__MODULE_GENERATORS'); return false;"><b>MODULE_GENERATORS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:TDivisor__MODULE_GENERATORS" class="foldit"><div class="descr"><p> Exponents of the fractional ideal of global sections. This property only
 makes sense for affine toric varieties.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TDivisor__SECTION_POLYTOPE" onclick="swap_content('span:TDivisor__SECTION_POLYTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TDivisor__SECTION_POLYTOPE" onclick="swap_content('span:TDivisor__SECTION_POLYTOPE'); return false;"><b>SECTION_POLYTOPE</b>:
		</a><a href="polytope.html#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">polytope::Polytope&lt;Rational&gt;</a><br/><div style="display: inline" id="span:TDivisor__SECTION_POLYTOPE" class="foldit"><div class="descr"><p> The polytope whose lattice points correspond to the global sections of the divisor.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent" onclick="swap_content('span:VersalComponent'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="VersalComponent" onclick="swap_content('span:VersalComponent'); return false;"><span class="object">VersalComponent</span></a></h3></div><div style="display: inline" id="span:VersalComponent" class="foldit"><div class="descr"><p> A component of the versal deformation of a <a href="#CyclicQuotient" onclick="unfold('span:CyclicQuotient');">CyclicQuotient</a> singularity.</p></div><div class="level3"/><h4>Properties of VersalComponent</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VersalComponent__properties__Algebraic_Geometry" onclick="swap_content('span:VersalComponent__properties__Algebraic_Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VersalComponent__properties__Algebraic_Geometry" onclick="swap_content('span:VersalComponent__properties__Algebraic_Geometry'); return false;"><span class="category">Algebraic Geometry</span></a></h3></div><div style="display: inline" id="span:VersalComponent__properties__Algebraic_Geometry" class="foldit"><div class="descr"><p> Properties relevant for the algebro-geometric side of the components of 
 the versal deformation of CQS.</p></div><ul><li><div class="li"><div class="icon" id="icon:VersalComponent__TOTAL_SPACE" onclick="swap_content('span:VersalComponent__TOTAL_SPACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__TOTAL_SPACE" onclick="swap_content('span:VersalComponent__TOTAL_SPACE'); return false;"><b>TOTAL_SPACE</b>:
		</a><a href="ideal.html#Ideal" onclick="unfold('span:Ideal');">ideal::Ideal</a><br/><div style="display: inline" id="span:VersalComponent__TOTAL_SPACE" class="foldit"><div class="undoc">UNDOCUMENTED</div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__properties__Combinatorics" onclick="swap_content('span:VersalComponent__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VersalComponent__properties__Combinatorics" onclick="swap_content('span:VersalComponent__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:VersalComponent__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul><li><div class="li"><div class="icon" id="icon:VersalComponent__ALPHA_LATTICE" onclick="swap_content('span:VersalComponent__ALPHA_LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__ALPHA_LATTICE" onclick="swap_content('span:VersalComponent__ALPHA_LATTICE'); return false;"><b>ALPHA_LATTICE</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Vector&lt;Integer&gt;, Vector&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:VersalComponent__ALPHA_LATTICE" class="foldit"><div class="descr"><p> Lattice of alphas as in below article.</p><blockquote><div>Jan Arthur Christophersen: On the components and discriminant of the versal base space of cyclic quotient singularities.</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__CONTINUED_FRACTION" onclick="swap_content('span:VersalComponent__CONTINUED_FRACTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__CONTINUED_FRACTION" onclick="swap_content('span:VersalComponent__CONTINUED_FRACTION'); return false;"><b>CONTINUED_FRACTION</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:VersalComponent__CONTINUED_FRACTION" class="foldit"><div class="descr"><p> The continued fraction equivalent to zero describing the versal component.</p><p> See
</p><blockquote><div>Jan Arthur Christophersen: On the components and discriminant of the versal base space of cyclic quotient singularities.</div></blockquote><p> and
</p><blockquote><div>Jan Stevens: On the versal deformation of cyclic quotient singularities.</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__CQS_MATRIX" onclick="swap_content('span:VersalComponent__CQS_MATRIX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__CQS_MATRIX" onclick="swap_content('span:VersalComponent__CQS_MATRIX'); return false;"><b>CQS_MATRIX</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:VersalComponent__CQS_MATRIX" class="foldit"><div class="descr"><p> The CQS matrix as described in Def 6.10 of the below article.</p><blockquote><div>Theo de Jong, Duco van Straten: Deformation theory of sandwiched singularities.</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__DIMENSION" onclick="swap_content('span:VersalComponent__DIMENSION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__DIMENSION" onclick="swap_content('span:VersalComponent__DIMENSION'); return false;"><b>DIMENSION</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:VersalComponent__DIMENSION" class="foldit"><div class="descr"><p> Dimension of this component, i.e., number of parameters.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__N_GON_TRIANGULATION" onclick="swap_content('span:VersalComponent__N_GON_TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__N_GON_TRIANGULATION" onclick="swap_content('span:VersalComponent__N_GON_TRIANGULATION'); return false;"><b>N_GON_TRIANGULATION</b>:
		</a><a href="graph.html#Graph__specializations__Graph_Undirected" onclick="unfold('span:Graph__specializations__Graph_Undirected');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:VersalComponent__N_GON_TRIANGULATION" class="foldit"><div class="descr"><p> Triangulation of the N-gon corresponding to this component.</p><p> See
</p><blockquote><div>Jan Stevens: On the versal deformation of cyclic quotient singularities.</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__PYRAMID_LATTICE" onclick="swap_content('span:VersalComponent__PYRAMID_LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__PYRAMID_LATTICE" onclick="swap_content('span:VersalComponent__PYRAMID_LATTICE'); return false;"><b>PYRAMID_LATTICE</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Vector&lt;Integer&gt;, Vector&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:VersalComponent__PYRAMID_LATTICE" class="foldit"><div class="descr"><p> FIXME</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__P_RESOLUTION" onclick="swap_content('span:VersalComponent__P_RESOLUTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__P_RESOLUTION" onclick="swap_content('span:VersalComponent__P_RESOLUTION'); return false;"><b>P_RESOLUTION</b>:
		</a><a href="fan.html#PolyhedralFan__specializations__PolyhedralFan_Rational" onclick="unfold('span:PolyhedralFan__specializations__PolyhedralFan_Rational');">fan::PolyhedralFan&lt;Rational&gt;</a><br/><div style="display: inline" id="span:VersalComponent__P_RESOLUTION" class="foldit"><div class="descr"><p> The P-resolution fan corresponding to this component.</p><p> See
</p><blockquote><div>Klaus Altmann: P-Resolutions of Cyclic Quotients from the Toric Viewpoint.</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VersalComponent__TRIANGLES" onclick="swap_content('span:VersalComponent__TRIANGLES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VersalComponent__TRIANGLES" onclick="swap_content('span:VersalComponent__TRIANGLES'); return false;"><b>TRIANGLES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:VersalComponent__TRIANGLES" class="foldit"><div class="descr"><p> The triangles in the N-gon triangulation corresponding to this component.</p><p> See
</p><blockquote><div>Jan Stevens: On the versal deformation of cyclic quotient singularities.</div></blockquote></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:functions__Commutative_Algebra" onclick="swap_content('span:functions__Commutative_Algebra'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Commutative_Algebra" onclick="swap_content('span:functions__Commutative_Algebra'); return false;"><span class="category">Commutative Algebra</span></a></h3></div><div style="display: inline" id="span:functions__Commutative_Algebra" class="foldit"><div class="descr"><p> These methods help with translating combinatorics to commutative algebra.</p></div><ul><li><div class="li"><div class="icon" id="icon:lower_lattice_points" onclick="swap_content('span:lower_lattice_points'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lower_lattice_points" onclick="swap_content('span:lower_lattice_points'); return false;"><b>lower_lattice_points</b></a>
			()  

			<div style="display: inline" id="span:lower_lattice_points" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find all lattice points of a polytope P that are not reachable
 from some other lattice point via the tail cone.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Continued_fractions" onclick="swap_content('span:functions__Continued_fractions'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Continued_fractions" onclick="swap_content('span:functions__Continued_fractions'); return false;"><span class="category">Continued fractions</span></a></h3></div><div style="display: inline" id="span:functions__Continued_fractions" class="foldit"><div class="descr"><p> Two simple methods for switching between rational numbers and continued
 fractions.</p></div><ul><li><div class="li"><div class="icon" id="icon:cf2rational" onclick="swap_content('span:cf2rational'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cf2rational" onclick="swap_content('span:cf2rational'); return false;"><b>cf2rational</b></a>
			(v)  

			
				→ Rational<div style="display: inline" id="span:cf2rational" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the rational number corresponding to a continued fraction.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rational2cf" onclick="swap_content('span:rational2cf'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rational2cf" onclick="swap_content('span:rational2cf'); return false;"><b>rational2cf</b></a>
			(r)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:rational2cf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the continued fraction corresponding to a rational number <em class="param">r</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">r</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_normal_toric_variety" onclick="swap_content('span:functions__Producing_a_normal_toric_variety'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_normal_toric_variety" onclick="swap_content('span:functions__Producing_a_normal_toric_variety'); return false;"><span class="category">Producing a normal toric variety</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_normal_toric_variety" class="foldit"><div class="descr"><p> With these clients you can create a normal toric variety from various input
 data.</p></div><ul><li><div class="li"><div class="icon" id="icon:hirzebruch_surface" onclick="swap_content('span:hirzebruch_surface'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hirzebruch_surface" onclick="swap_content('span:hirzebruch_surface'); return false;"><b>hirzebruch_surface</b></a>
			(r)  

			
				→ NormalToricVariety<div style="display: inline" id="span:hirzebruch_surface" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Takes one parameter <em class="param">r</em> and returns the polyhedral fan corresponding the the
 Hirzebruch surface //H<sub>r</sub>//.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td class="param">r</td><td><div class="descr"><div>Parameter</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#NormalToricVariety" onclick="unfold('span:NormalToricVariety');">NormalToricVariety</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projective_space" onclick="swap_content('span:projective_space'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projective_space" onclick="swap_content('span:projective_space'); return false;"><b>projective_space</b></a>
			(d)  

			
				→ NormalToricVariety<div style="display: inline" id="span:projective_space" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Takes one parameter <em class="param">d</em> and returns the fan corresponding to the <em class="param">d</em>-dimensional
 projective space.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>Dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#NormalToricVariety" onclick="unfold('span:NormalToricVariety');">NormalToricVariety</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div>
