<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: group</h1>
  <div class="descr">
    <p> The application group provides basic functionality for working with permutation
 groups. An object of type <a href="#Group" onclick="unfold('span:Group');">Group</a> is defined by a list of <a href="#Group__GENERATORS" onclick="unfold('span:Group__GENERATORS');">GENERATORS</a> describing the 
 permutation of some indices. 
 The object <a href="#GroupOfCone" onclick="unfold('span:GroupOfCone');">GroupOfCone</a> encapsulates symmetry information of a <a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a>.
 It can act on the indices of rays (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;1), of facets (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;2), or on coordinates (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;3).</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:Group" onclick="swap_content('span:Group'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Group" onclick="swap_content('span:Group'); return false;">
                  <span class="object">Group</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Group" class="foldit">
              <div class="descr">
                <p> A finite permutation group.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Group</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__BASE" onclick="swap_content('span:Group__BASE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__BASE" onclick="swap_content('span:Group__BASE'); return false;"><b>BASE</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__BASE" class="foldit">
                        <div class="descr">
                          <p> A base for <a href="#Group__STRONG_GENERATORS" onclick="unfold('span:Group__STRONG_GENERATORS');">STRONG_GENERATORS</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__DEGREE" onclick="swap_content('span:Group__DEGREE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__DEGREE" onclick="swap_content('span:Group__DEGREE'); return false;"><b>DEGREE</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Group__DEGREE" class="foldit">
                        <div class="descr">
                          <p> The <em class="u">degree</em> of the permutation representation.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__GENERATORS" onclick="swap_content('span:Group__GENERATORS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__GENERATORS" onclick="swap_content('span:Group__GENERATORS'); return false;"><b>GENERATORS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__GENERATORS" class="foldit">
                        <div class="descr">
                          <p> Some generating set for the group. All generators must have 
 the same length <a href="#Group__DEGREE" onclick="unfold('span:Group__DEGREE');">DEGREE</a>. 
 FIXME: Concrete description as second row of permutation representation</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__N_STRONG_GENERATORS" onclick="swap_content('span:Group__N_STRONG_GENERATORS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__N_STRONG_GENERATORS" onclick="swap_content('span:Group__N_STRONG_GENERATORS'); return false;"><b>N_STRONG_GENERATORS</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Group__N_STRONG_GENERATORS" class="foldit">
                        <div class="descr">
                          <p> The number of <a href="#Group__STRONG_GENERATORS" onclick="unfold('span:Group__STRONG_GENERATORS');">STRONG_GENERATORS</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__ORDER" onclick="swap_content('span:Group__ORDER'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__ORDER" onclick="swap_content('span:Group__ORDER'); return false;"><b>ORDER</b>:
		</a>
                      <a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a>
                      <br/>
                      <div style="display: inline" id="span:Group__ORDER" class="foldit">
                        <div class="descr">
                          <p> The <em class="u">order</em> of the group.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__STRONG_GENERATORS" onclick="swap_content('span:Group__STRONG_GENERATORS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__STRONG_GENERATORS" onclick="swap_content('span:Group__STRONG_GENERATORS'); return false;"><b>STRONG_GENERATORS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__STRONG_GENERATORS" class="foldit">
                        <div class="descr">
                          <p> Strong generating set with respect to <a href="#Group__BASE" onclick="unfold('span:Group__BASE');">BASE</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__TRANSVERSALS" onclick="swap_content('span:Group__TRANSVERSALS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__TRANSVERSALS" onclick="swap_content('span:Group__TRANSVERSALS'); return false;"><b>TRANSVERSALS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__TRANSVERSALS" class="foldit">
                        <div class="descr">
                          <p> Transversals along the stabilizer chain. </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__TRANSVERSAL_SIZES" onclick="swap_content('span:Group__TRANSVERSAL_SIZES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__TRANSVERSAL_SIZES" onclick="swap_content('span:Group__TRANSVERSAL_SIZES'); return false;"><b>TRANSVERSAL_SIZES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__TRANSVERSAL_SIZES" class="foldit">
                        <div class="descr">
                          <p> The number of group elements per transversal.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:GroupOfCone" onclick="swap_content('span:GroupOfCone'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="GroupOfCone" onclick="swap_content('span:GroupOfCone'); return false;">
                  <span class="object">GroupOfCone</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:GroupOfCone" class="foldit">
              <div class="descr">
                <p> A permutation group which acts on a <a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a> by permuting
 (1) its <a href="polytope.html#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;1), (2) its <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;2), or (3) the coordinates (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;3). </p>
              </div>
              <b>derived from: </b>
              <a href="#Group" onclick="unfold('span:Group');">Group</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of GroupOfCone</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GroupOfCone__properties__Combinatorics" onclick="swap_content('span:GroupOfCone__properties__Combinatorics'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="GroupOfCone__properties__Combinatorics" onclick="swap_content('span:GroupOfCone__properties__Combinatorics'); return false;">
                            <span class="category">Combinatorics</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:GroupOfCone__properties__Combinatorics" class="foldit">
                        <div class="descr">
                          <p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p>
                        </div>
                        <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                        <ul>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES'); return false;"><b>REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> The (<em class="param">d</em>-1)-dimensional simplices in the interior.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES'); return false;"><b>REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> The boundary (<em class="param">d</em>-1)-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES'); return false;"><b>REPRESENTATIVE_MAX_INTERIOR_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> The interior <em class="param">d</em>-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:GroupOfCone__SIMPLEXITY_LOWER_BOUND'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:GroupOfCone__SIMPLEXITY_LOWER_BOUND'); return false;"><b>SIMPLEXITY_LOWER_BOUND</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SIMPLEXITY_LOWER_BOUND" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized version of <a href="#GroupOfCone__SIMPLEXITY_LOWER_BOUND" onclick="unfold('span:GroupOfCone__SIMPLEXITY_LOWER_BOUND');">SIMPLEXITY_LOWER_BOUND</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GroupOfCone__properties__Symmetry" onclick="swap_content('span:GroupOfCone__properties__Symmetry'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="GroupOfCone__properties__Symmetry" onclick="swap_content('span:GroupOfCone__properties__Symmetry'); return false;">
                            <span class="category">Symmetry</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:GroupOfCone__properties__Symmetry" class="foldit">
                        <div class="descr">
                          <p> These properties capture information of the object that is concerned with the action of permutation groups.</p>
                        </div>
                        <ul>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__COORDINATES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__COORDINATES_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__COORDINATES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__COORDINATES_IN_ORBITS'); return false;"><b>COORDINATES_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__COORDINATES_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of rays) for each orbit of coordinates. </p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__DOMAIN" onclick="swap_content('span:GroupOfCone__DOMAIN'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__DOMAIN" onclick="swap_content('span:GroupOfCone__DOMAIN'); return false;"><b>DOMAIN</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__DOMAIN" class="foldit">
                                  <div class="descr">
                                    <p> Indicates on which domain the group action is defined, see Enum defined in
 'apps/polytope/rules/permlib.rules'.
</p>
                                    <blockquote>
                                      <div> OnRays=1: action on the (indices of the) rays</div>
                                      <div> OnFacets=2: action on the facets</div>
                                      <div> OnCoords=3: action on the coordinates </div>
                                    </blockquote>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__FACETS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__FACETS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__FACETS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__FACETS_IN_ORBITS'); return false;"><b>FACETS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__FACETS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of facets) for each orbit of facets. 
 The indices of the facets correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__INEQUALITIES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INEQUALITIES_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__INEQUALITIES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INEQUALITIES_IN_ORBITS'); return false;"><b>INEQUALITIES_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__INEQUALITIES_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of inequalities) for each orbit of inequalities. 
 The indices of the inequalities correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__INPUT_RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INPUT_RAYS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__INPUT_RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INPUT_RAYS_IN_ORBITS'); return false;"><b>INPUT_RAYS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__INPUT_RAYS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of input rays) for each orbit of rays. 
 The indices of the input rays correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_COORDINATES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_COORDINATES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_COORDINATES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_COORDINATES'); return false;"><b>N_ORBITS_OF_COORDINATES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_COORDINATES" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of coordinates.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_FACETS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_FACETS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_FACETS'); return false;"><b>N_ORBITS_OF_FACETS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of facets.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_INEQUALITIES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INEQUALITIES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_INEQUALITIES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INEQUALITIES'); return false;"><b>N_ORBITS_OF_INEQUALITIES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_INEQUALITIES" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of inequalities.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_INPUT_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_INPUT_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS'); return false;"><b>N_ORBITS_OF_INPUT_RAYS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of input rays.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_RAYS'); return false;"><b>N_ORBITS_OF_RAYS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of rays.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_FACETS'); return false;"><b>N_REPRESENTATIVE_FACETS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_REPRESENTATIVE_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> The number of facet representatives.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_RAYS'); return false;"><b>N_REPRESENTATIVE_RAYS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_REPRESENTATIVE_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The number of ray representatives.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_SIMPLICES'); return false;"><b>N_REPRESENTATIVE_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_REPRESENTATIVE_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> An array of size <a href="polytope.html#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a> whose <em class="param">k</em>-th entry stores the number of
 symmetry classes of <em class="param">k</em>-dimensional simplices in the cone.</p>
                                  </div>
                                  <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__RAYS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__RAYS_IN_ORBITS'); return false;"><b>RAYS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__RAYS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of rays) for each orbit of rays. 
 The indices of the rays correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_FACETS'); return false;"><b>REPRESENTATIVE_FACETS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of facets of the cone under this group action.
 No redundancies are allowed.</p>
                                    <p> FIXME: Could cause problems since representatives are not unique! 
        The order should correspond to the order of the orbits of facets!</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN'); return false;"><b>REPRESENTATIVE_LINEAR_SPAN</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of the linear span of the cone under this group action.</p>
                                    <p> No redundancies are allowed.
 FIXME: Could cause problems since representatives are not unique! 
        The order should correspond to the order of the orbits of facets!</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_RAYS'); return false;"><b>REPRESENTATIVE_RAYS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of rays of the cone under this group action.
 No redundancies are allowed.</p>
                                    <p> FIXME: Could cause problems since representatives are not unique! How to do canonicalization?
        The order should correspond to the order of the orbits of rays!</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_SIMPLICES'); return false;"><b>REPRESENTATIVE_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;boost_dynamic_bitset&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> An array of size <a href="polytope.html#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a> whose <em class="param">k</em>-th entry stores one representative for each 
 symmetry class of <em class="param">k</em>-dimensional simplices in the cone.</p>
                                  </div>
                                  <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SYMMETRIC_FACETS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SYMMETRIC_FACETS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_FACETS'); return false;"><b>SYMMETRIC_FACETS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SYMMETRIC_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized facets of the cone. Same order as in the <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>-section.</p>
                                    <p> Explanation: The symmetry group of a cone also act on the facets.
   If the cone is not full-dimensional, however, the facets may appear
   unsymmetric. Nevertheless, there always exists some symmetric facet description.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SYMMETRIC_RAYS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SYMMETRIC_RAYS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_RAYS'); return false;"><b>SYMMETRIC_RAYS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SYMMETRIC_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized rays of the cone. Same order as in the <a href="polytope.html#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>-section.
 Explanation: The symmetry group of a cone also act on the rays.
   If the cone has a non-trivial lineality space, however, the rays may appear
   unsymmetric. Nevertheless, there always exists some symmetric ray description.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS" onclick="swap_content('span:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS" onclick="swap_content('span:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS'); return false;"><b>SYMMETRIZED_COCIRCUIT_EQUATIONS</b>:
		</a>
                                <a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS" class="foldit">
                                  <div class="descr">
                                    <p> A SparseMatrix whose rows are the sum of all cocircuit equations corresponding to a fixed symmetry class of interior ridge.</p>
                                  </div>
                                  <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:GroupOfPolytope" onclick="swap_content('span:GroupOfPolytope'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="GroupOfPolytope" onclick="swap_content('span:GroupOfPolytope'); return false;">
                  <span class="object">GroupOfPolytope</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:GroupOfPolytope" class="foldit">
              <div class="descr">
                <p> A permutation group which acts on a <a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a> by permuting
 (1) its <a href="polytope.html#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;1), (2) its <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;2), or (3) the coordinates (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;3). </p>
              </div>
              <b>derived from: </b>
              <a href="#GroupOfCone" onclick="unfold('span:GroupOfCone');">GroupOfCone</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of GroupOfPolytope</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GroupOfPolytope__properties__Symmetry" onclick="swap_content('span:GroupOfPolytope__properties__Symmetry'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="GroupOfPolytope__properties__Symmetry" onclick="swap_content('span:GroupOfPolytope__properties__Symmetry'); return false;">
                            <span class="category">Symmetry</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:GroupOfPolytope__properties__Symmetry" class="foldit">
                        <div class="descr">
                          <p> These properties capture information of the object that is concerned with the action of permutation groups.</p>
                        </div>
                        <ul>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__N_ORBITS_OF_POINTS" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_POINTS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__N_ORBITS_OF_POINTS" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_POINTS'); return false;"><b>N_ORBITS_OF_POINTS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__N_ORBITS_OF_POINTS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of points.
 Alias for property <a href="#GroupOfCone__N_ORBITS_OF_INPUT_RAYS" onclick="unfold('span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS');">N_ORBITS_OF_INPUT_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__N_ORBITS_OF_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__N_ORBITS_OF_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_VERTICES'); return false;"><b>N_ORBITS_OF_VERTICES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__N_ORBITS_OF_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of vertices.
 Alias for property <a href="#GroupOfCone__N_ORBITS_OF_RAYS" onclick="unfold('span:GroupOfCone__N_ORBITS_OF_RAYS');">N_ORBITS_OF_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__N_REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_REPRESENTATIVE_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__N_REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_REPRESENTATIVE_VERTICES'); return false;"><b>N_REPRESENTATIVE_VERTICES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__N_REPRESENTATIVE_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> The number of vertex representatives.
 Alias for property <a href="#GroupOfCone__N_REPRESENTATIVE_RAYS" onclick="unfold('span:GroupOfCone__N_REPRESENTATIVE_RAYS');">N_REPRESENTATIVE_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__POINTS_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__POINTS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__POINTS_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__POINTS_IN_ORBITS'); return false;"><b>POINTS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__POINTS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of points) for each orbit of points.
 The indices of the points correspond to their indices in the polymake object.
 Alias for property <a href="#GroupOfCone__INPUT_RAYS_IN_ORBITS" onclick="unfold('span:GroupOfCone__INPUT_RAYS_IN_ORBITS');">INPUT_RAYS_IN_ORBITS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL'); return false;"><b>REPRESENTATIVE_AFFINE_HULL</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of linear span of the polytope under this group action.
 No redundancies are allowed.
 Alias for property <a href="#GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" onclick="unfold('span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN');">REPRESENTATIVE_LINEAR_SPAN</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_VERTICES'); return false;"><b>REPRESENTATIVE_VERTICES</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__REPRESENTATIVE_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of vertices of the polytope under this group action.
 No redundancies are allowed.
 Alias for property <a href="#GroupOfCone__REPRESENTATIVE_RAYS" onclick="unfold('span:GroupOfCone__REPRESENTATIVE_RAYS');">REPRESENTATIVE_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__SYMMETRIC_VERTICES" onclick="swap_content('span:GroupOfPolytope__SYMMETRIC_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__SYMMETRIC_VERTICES" onclick="swap_content('span:GroupOfPolytope__SYMMETRIC_VERTICES'); return false;"><b>SYMMETRIC_VERTICES</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__SYMMETRIC_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized vertices of the polytope. Same order as in the <a href="polytope.html#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>-section.</p>
                                    <p> Explanation: The symmetry group of a polytope also act on the vertices.
   If the polytope has a non-trivial lineality space, however, the vertices may appear
   unsymmetric. Nevertheless, there always exists some symmetric vertex description.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__VERTICES_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__VERTICES_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__VERTICES_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__VERTICES_IN_ORBITS'); return false;"><b>VERTICES_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__VERTICES_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of vertices) for each orbit of vertices.
 The indices of the vertices correspond to their indices in the polymake object.
 Alias for property <a href="#GroupOfCone__RAYS_IN_ORBITS" onclick="unfold('span:GroupOfCone__RAYS_IN_ORBITS');">RAYS_IN_ORBITS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Orbits" onclick="swap_content('span:functions__Orbits'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Orbits" onclick="swap_content('span:functions__Orbits'); return false;">
                  <span class="category">Orbits</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Orbits" class="foldit">
              <div class="descr">
                <p> These functions are concerned with orbits in groups.</p>
              </div>
              <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:are_in_same_orbit" onclick="swap_content('span:are_in_same_orbit'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="are_in_same_orbit" onclick="swap_content('span:are_in_same_orbit'); return false;"><b>are_in_same_orbit</b></a>
			(group, vec1, vec2)  

			
				→ Bool<div style="display: inline" id="span:are_in_same_orbit" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether vector <em class="param">vec1</em> and <em class="param">vec2</em> are in the same orbit
 with respect to the (coordinate) action of <em class="param">group</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>the permutation group acting on coordinates</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">vec1</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">vec2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit__Group__Set" onclick="swap_content('span:orbit__Group__Set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit__Group__Set" onclick="swap_content('span:orbit__Group__Set'); return false;"><b>orbit</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:orbit__Group__Set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of a set <em class="param">S</em> under a group <em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">S</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit__Group__Set_Set" onclick="swap_content('span:orbit__Group__Set_Set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit__Group__Set_Set" onclick="swap_content('span:orbit__Group__Set_Set'); return false;"><b>orbit</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:orbit__Group__Set_Set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of a set <em class="param">S</em> of sets under a group <em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td class="param">S</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbits_coord_action_complete" onclick="swap_content('span:orbits_coord_action_complete'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbits_coord_action_complete" onclick="swap_content('span:orbits_coord_action_complete'); return false;"><b>orbits_coord_action_complete</b></a>
			(group, mat)  

			
				→ ListReturn<div style="display: inline" id="span:orbits_coord_action_complete" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbit of the set of all vectors of the matrix <em class="param">mat</em>
 under <em class="param">group</em>, which acts by permuting coordinates.
 The set of vectors does not have to be complete.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group of coordinate permutations</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">mat</td><td><div class="descr"><div>some input vectors</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>ListReturn</td><td><div class="descr"><div>a matrix containing all generated vectors
    , and an array containing the orbits of generated vectors.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbits_induced_action" onclick="swap_content('span:orbits_induced_action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbits_induced_action" onclick="swap_content('span:orbits_induced_action'); return false;"><b>orbits_induced_action</b></a>
			(group, inc)  

			
				→ Array<div style="display: inline" id="span:orbits_induced_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of a set on which an action is induced.
 The incidences between the domain elements and the elements
 in the set are given by an incidence matrix <em class="param">inc</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group of a cone</div></div></td></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">inc</td><td><div class="descr"><div>the incidences between domain elements
    and elements on which an action is induced</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>an array of the orbits of the induced action</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbits_of_domain" onclick="swap_content('span:orbits_of_domain'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbits_of_domain" onclick="swap_content('span:orbits_of_domain'); return false;"><b>orbits_of_domain</b></a>
			(group)  

			
				→ Array<div style="display: inline" id="span:orbits_of_domain" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of the basic set under <em class="param">group</em>. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group of a cone</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit_coord_action" onclick="swap_content('span:orbit_coord_action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit_coord_action" onclick="swap_content('span:orbit_coord_action'); return false;"><b>orbit_coord_action</b></a>
			(group, mat)  

			
				→ Array<div style="display: inline" id="span:orbit_coord_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of the vectors (homogenized) of a matrix <em class="param">mat</em> by
 permuting the coordinates of the vectors (skipping the homogenizing coordinate).
 The group must act on the set of vectors. Choose the function
 'orbits_coord_action_complete' if your set is not complete.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group acting on the cone by permuting the coordinates</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">mat</td><td><div class="descr"><div>a matrix with vectors on which the group acts by 
    coordinate permutation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>an array of the orbits under the action on the coordinates</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Producing_a_group" onclick="swap_content('span:functions__Producing_a_group'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Producing_a_group" onclick="swap_content('span:functions__Producing_a_group'); return false;">
                  <span class="category">Producing a group</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Producing_a_group" class="foldit">
              <div class="descr">
                <p> With these clients you can produce objects of type <a href="#Group" onclick="unfold('span:Group');">Group</a> -- groups from certain parameterized families, as stabilizers of sets in other groups or from different kinds of cycle notations.</p>
              </div>
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:alternating_group" onclick="swap_content('span:alternating_group'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="alternating_group" onclick="swap_content('span:alternating_group'); return false;"><b>alternating_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:alternating_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs an <em class="u">alternating group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the alternating group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:cyclic_group" onclick="swap_content('span:cyclic_group'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="cyclic_group" onclick="swap_content('span:cyclic_group'); return false;"><b>cyclic_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:cyclic_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">cyclic group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the cyclic group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_cyclic_notation0" onclick="swap_content('span:group_from_cyclic_notation0'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_cyclic_notation0" onclick="swap_content('span:group_from_cyclic_notation0'); return false;"><b>group_from_cyclic_notation0</b></a>
			(group)  

			
				→ Group<div style="display: inline" id="span:group_from_cyclic_notation0" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 0-based.
 Example: "(0,2)(1,3)"</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_cyclic_notation1" onclick="swap_content('span:group_from_cyclic_notation1'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_cyclic_notation1" onclick="swap_content('span:group_from_cyclic_notation1'); return false;"><b>group_from_cyclic_notation1</b></a>
			(group)  

			
				→ Group<div style="display: inline" id="span:group_from_cyclic_notation1" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 1-based.
 Example: "(1,3)(2,4)"</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_permlib_cyclic_notation" onclick="swap_content('span:group_from_permlib_cyclic_notation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_permlib_cyclic_notation" onclick="swap_content('span:group_from_permlib_cyclic_notation'); return false;"><b>group_from_permlib_cyclic_notation</b></a>
			(gens, degree)  

			
				→ Group<div style="display: inline" id="span:group_from_permlib_cyclic_notation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a Group from generators given in permlib cyclic notation,
 i.e., indices separated by whitespace, generators separated by commas.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>generators of the permutation group in permlib cyclic notation</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>the degree of the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td><div class="descr"><div>the group generated by <em class="param">gens</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:stabilizer_of_set" onclick="swap_content('span:stabilizer_of_set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="stabilizer_of_set" onclick="swap_content('span:stabilizer_of_set'); return false;"><b>stabilizer_of_set</b></a>
			(group, set)  

			
				→ Group<div style="display: inline" id="span:stabilizer_of_set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the subgroup of <em class="param">group</em> which stabilizes
 the given set of indices <em class="param">set</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a permutation group</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">set</td><td><div class="descr"><div>the set to be stabilized</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td><div class="descr"><div>the stabilizer of <em class="param">set</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:stabilizer_of_vector" onclick="swap_content('span:stabilizer_of_vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="stabilizer_of_vector" onclick="swap_content('span:stabilizer_of_vector'); return false;"><b>stabilizer_of_vector</b></a>
			(group, vec)  

			
				→ Group<div style="display: inline" id="span:stabilizer_of_vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the subgroup of <em class="param">group</em> which stabilizes
 the given vector <em class="param">vec</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a permutation group</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">vec</td><td><div class="descr"><div>the vector to be stabilized</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td><div class="descr"><div>the stabilizer of <em class="param">vec</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:symmetric_group" onclick="swap_content('span:symmetric_group'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="symmetric_group" onclick="swap_content('span:symmetric_group'); return false;"><b>symmetric_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:symmetric_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">symmetric group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the symmetric group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Symmetry" onclick="swap_content('span:functions__Symmetry'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Symmetry" onclick="swap_content('span:functions__Symmetry'); return false;">
                  <span class="category">Symmetry</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Symmetry" class="foldit">
              <div class="descr">
                <p> These functions capture information of the object that is concerned with the action of permutation groups.</p>
              </div>
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:col_to_row_action" onclick="swap_content('span:col_to_row_action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="col_to_row_action" onclick="swap_content('span:col_to_row_action'); return false;"><b>col_to_row_action</b></a>
			(M, of)  

			
				→ Array<div style="display: inline" id="span:col_to_row_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> If the action of some permutations on the entries of the rows 
 maps each row of a matrix to another row we obtain an induced action
 on the set of rows of the matrix.
 Considering the rows as points this corresponds to the action on the
 points induced by the action of some permutations on the coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td class="param">of</td><td><div class="descr"><div>permutations</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>of permutations</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Utilities" onclick="swap_content('span:functions__Utilities'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Utilities" onclick="swap_content('span:functions__Utilities'); return false;">
                  <span class="category">Utilities</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Utilities" class="foldit">
              <div class="descr">
                <p> Miscellaneous functions.</p>
              </div>
              <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:all_group_elements" onclick="swap_content('span:all_group_elements'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="all_group_elements" onclick="swap_content('span:all_group_elements'); return false;"><b>all_group_elements</b></a>
			(group)  

			
				→ Array<div style="display: inline" id="span:all_group_elements" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute all elements of a given <em class="param">group</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>&lt;Array&lt;Int&gt; contains all group elements </div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_generators" onclick="swap_content('span:group_from_generators'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_generators" onclick="swap_content('span:group_from_generators'); return false;"><b>group_from_generators</b></a>
			(gens, group)  

			<div style="display: inline" id="span:group_from_generators" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the basic properties <a href="#Group__BASE" onclick="unfold('span:Group__BASE');">BASE</a>, 
 <a href="#Group__STRONG_GENERATORS" onclick="unfold('span:Group__STRONG_GENERATORS');">STRONG_GENERATORS</a>, and <a href="#Group__TRANSVERSALS" onclick="unfold('span:Group__TRANSVERSALS');">TRANSVERSALS</a> 
 and stores the result in the given <a href="#Group" onclick="unfold('span:Group');">Group</a> object <em class="param">group</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>some generators of the group</div></div></td></tr><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>to fill in the data</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_to_cyclic_notation" onclick="swap_content('span:group_to_cyclic_notation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_to_cyclic_notation" onclick="swap_content('span:group_to_cyclic_notation'); return false;"><b>group_to_cyclic_notation</b></a>
			(g)  

			
				→ String<div style="display: inline" id="span:group_to_cyclic_notation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns group generators in 1-based cyclic notation
 (GAP like, not permlib like notation)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">g</td><td><div class="descr"><div>the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td><div class="descr"><div>group generators, separated by newline and comma</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
