<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: topaz</h1><div class="descr"><p> The <em class="u">TOP</em>ology <em class="u">A</em>pplication <em class="u">Z</em>oo deals with abstract simplicial complexes.
 A complex is given as a list of facets.  You can ask for its global properties (<a href="#SimplicialComplex__MANIFOLD" onclick="unfold('span:SimplicialComplex__MANIFOLD');">manifold recognition</a>,
 <a href="#SimplicialComplex__HOMOLOGY" onclick="unfold('span:SimplicialComplex__HOMOLOGY');">homology groups</a>, etc.),  explore the local vertex environment (<a href="#star" onclick="unfold('span:star');">stars</a>, <a href="#link_complex" onclick="unfold('span:link_complex');">links</a>, etc.),  and make a lot
 of constructions.</p><p> The visualization means are constrained, as they are mostly based on the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> (1-skeleton) of a complex.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="graph.html">graph</a><br/><b>uses: </b><a href="ideal.html">ideal</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:GeometricSimplicialComplex" onclick="swap_content('span:GeometricSimplicialComplex'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="GeometricSimplicialComplex" onclick="swap_content('span:GeometricSimplicialComplex'); return false;"><span class="object">GeometricSimplicialComplex</span></a></h3></div><div style="display: inline" id="span:GeometricSimplicialComplex" class="foldit"><div class="descr"><p> A geometric simplicial complex, i.e., a simplicial complex with a geometric realization.
 <em class="param">Scalar</em> is the numeric data type used for the coordinates.</p></div><b>derived from: </b><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of GeometricSimplicialComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:GeometricSimplicialComplex__COORDINATES" onclick="swap_content('span:GeometricSimplicialComplex__COORDINATES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GeometricSimplicialComplex__COORDINATES" onclick="swap_content('span:GeometricSimplicialComplex__COORDINATES'); return false;"><b>COORDINATES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:GeometricSimplicialComplex__COORDINATES" class="foldit"><div class="descr"><p> Coordinates for the vertices of the simplicial complex, such that the complex is
 embedded without crossings in some R<sup>e</sup>.  Vector (x<sub>1</sub>, .... x<sub>e</sub>) represents a point
 in Euclidean e-space.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:GeometricSimplicialComplex__G_DIM" onclick="swap_content('span:GeometricSimplicialComplex__G_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GeometricSimplicialComplex__G_DIM" onclick="swap_content('span:GeometricSimplicialComplex__G_DIM'); return false;"><b>G_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:GeometricSimplicialComplex__G_DIM" class="foldit"><div class="descr"><p> Dimension e of the space in which the <a href="#GeometricSimplicialComplex__COORDINATES" onclick="unfold('span:GeometricSimplicialComplex__COORDINATES');">COORDINATES</a> of the complex is embedded.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:GeometricSimplicialComplex__SIGNATURE" onclick="swap_content('span:GeometricSimplicialComplex__SIGNATURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GeometricSimplicialComplex__SIGNATURE" onclick="swap_content('span:GeometricSimplicialComplex__SIGNATURE'); return false;"><b>SIGNATURE</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:GeometricSimplicialComplex__SIGNATURE" class="foldit"><div class="descr"><p> Signature of a geometric simplicial complex embedded in the integer lattice.
 Like <a href="#SimplicialComplex__DUAL_GRAPH_SIGNATURE" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH_SIGNATURE');">DUAL_GRAPH_SIGNATURE</a>, but only simplices with odd normalized volume are counted.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:GeometricSimplicialComplex__VOLUME" onclick="swap_content('span:GeometricSimplicialComplex__VOLUME'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GeometricSimplicialComplex__VOLUME" onclick="swap_content('span:GeometricSimplicialComplex__VOLUME'); return false;"><b>VOLUME</b>:
		</a>GeometricSimplicialComplex::Scalar<br/><div style="display: inline" id="span:GeometricSimplicialComplex__VOLUME" class="foldit"><div class="descr"><p> Volume of a geometric simplicial complex.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex" onclick="swap_content('span:SimplicialComplex'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SimplicialComplex" onclick="swap_content('span:SimplicialComplex'); return false;"><span class="object">SimplicialComplex</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex" class="foldit"><div class="descr"><p> An abstract simplicial complex represented by its facets.</p></div><div class="level3"/><h4>Properties of SimplicialComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__properties__Combinatorics" onclick="swap_content('span:SimplicialComplex__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__properties__Combinatorics" onclick="swap_content('span:SimplicialComplex__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__BOUNDARY" onclick="swap_content('span:SimplicialComplex__BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__BOUNDARY" onclick="swap_content('span:SimplicialComplex__BOUNDARY'); return false;"><b>BOUNDARY</b>:
		</a><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a><br/><div style="display: inline" id="span:SimplicialComplex__BOUNDARY" class="foldit"><div class="descr"><p> Codimension-1-faces of a <a href="#SimplicialComplex__PSEUDO_MANIFOLD" onclick="unfold('span:SimplicialComplex__PSEUDO_MANIFOLD');">PSEUDO_MANIFOLD</a> which are contained in one facet only.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__COLORING" onclick="swap_content('span:SimplicialComplex__COLORING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__COLORING" onclick="swap_content('span:SimplicialComplex__COLORING'); return false;"><b>COLORING</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__COLORING" class="foldit"><div class="descr"><p> A coloring of the vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DIM" onclick="swap_content('span:SimplicialComplex__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DIM" onclick="swap_content('span:SimplicialComplex__DIM'); return false;"><b>DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__DIM" class="foldit"><div class="descr"><p> Maximal dimension of the <a href="#SimplicialComplex__FACETS" onclick="unfold('span:SimplicialComplex__FACETS');">FACETS</a>, where the dimension of a facet is defined as
 the number of its vertices minus one.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_GRAPH" onclick="swap_content('span:SimplicialComplex__DUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_GRAPH" onclick="swap_content('span:SimplicialComplex__DUAL_GRAPH'); return false;"><b>DUAL_GRAPH</b>:
		</a><a href="graph.html#Graph__specializations__Graph_Undirected" onclick="unfold('span:Graph__specializations__Graph_Undirected');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__DUAL_GRAPH" class="foldit"><div class="descr"><p> The graph of facet neighborhood.
 Two <a href="#SimplicialComplex__FACETS" onclick="unfold('span:SimplicialComplex__FACETS');">FACETS</a> are neighbors if they share a (d-1)-dimensional face.</p></div><h4>Properties of DUAL_GRAPH</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_GRAPH__COLORING" onclick="swap_content('span:SimplicialComplex__DUAL_GRAPH__COLORING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_GRAPH__COLORING" onclick="swap_content('span:SimplicialComplex__DUAL_GRAPH__COLORING'); return false;"><b>COLORING</b>:
		</a><a href="common.html#NodeMap" onclick="unfold('span:NodeMap');">common::NodeMap&lt;Undirected, Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__DUAL_GRAPH__COLORING" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__F2_VECTOR" onclick="swap_content('span:SimplicialComplex__F2_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__F2_VECTOR" onclick="swap_content('span:SimplicialComplex__F2_VECTOR'); return false;"><b>F2_VECTOR</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__F2_VECTOR" class="foldit"><div class="descr"><p> f<sub>ik</sub> is the number of incident pairs of i-faces and k-faces; the main
 diagonal contains the <a href="#SimplicialComplex__F_VECTOR" onclick="unfold('span:SimplicialComplex__F_VECTOR');">F_VECTOR</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__FACETS" onclick="swap_content('span:SimplicialComplex__FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__FACETS" onclick="swap_content('span:SimplicialComplex__FACETS'); return false;"><b>FACETS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__FACETS" class="foldit"><div class="descr"><p> Faces which are maximal with respect to inclusion, encoded as their ordered set of vertices.
 The vertices must be numbered 0, ..., n-1.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__FOLDABLE" onclick="swap_content('span:SimplicialComplex__FOLDABLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__FOLDABLE" onclick="swap_content('span:SimplicialComplex__FOLDABLE'); return false;"><b>FOLDABLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__FOLDABLE" class="foldit"><div class="descr"><p> True if <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> is (<a href="#SimplicialComplex__DIM" onclick="unfold('span:SimplicialComplex__DIM');">DIM</a> + 1)-colorable.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__F_VECTOR" onclick="swap_content('span:SimplicialComplex__F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__F_VECTOR" onclick="swap_content('span:SimplicialComplex__F_VECTOR'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__F_VECTOR" class="foldit"><div class="descr"><p> f<sub>k</sub> is the number of k-faces, for k = 0,... , d, where d is the dimension.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__GRAPH" onclick="swap_content('span:SimplicialComplex__GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__GRAPH" onclick="swap_content('span:SimplicialComplex__GRAPH'); return false;"><b>GRAPH</b>:
		</a><a href="graph.html#Graph__specializations__Graph_Undirected" onclick="unfold('span:Graph__specializations__Graph_Undirected');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__GRAPH" class="foldit"><div class="descr"><p> The subcomplex consisting of all 1-faces.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HASSE_DIAGRAM" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HASSE_DIAGRAM" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM'); return false;"><b>HASSE_DIAGRAM</b>:
		</a><a href="graph.html#FaceLattice" onclick="unfold('span:FaceLattice');">graph::FaceLattice</a><br/><div style="display: inline" id="span:SimplicialComplex__HASSE_DIAGRAM" class="foldit"><div class="descr"><p> The face lattice of the simplical complex
 organized as a directed graph.  Each node corresponds to some face
 of the simplical complex. It is represented as the list of vertices
 comprising the face. The outgoing arcs point to the containing faces
 of the next dimension. An artificial top node is added to represent
 the entire complex.</p></div><h4>Properties of HASSE_DIAGRAM</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING'); return false;"><b>MORSE_MATCHING</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap&lt;Directed, Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACES" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACES" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACES'); return false;"><b>MORSE_MATCHING_CRITICAL_FACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACES" class="foldit"><div class="descr"><p> The critical faces of the computed Morse matching, i.e., the faces not
 incident to any reoriented arc (not matched).
 FIXME: temporary</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACE_VECTOR" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACE_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACE_VECTOR" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACE_VECTOR'); return false;"><b>MORSE_MATCHING_CRITICAL_FACE_VECTOR</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_CRITICAL_FACE_VECTOR" class="foldit"><div class="descr"><p> The vector of critical faces in each dimension.
 FIXME: temporary</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_N_CRITICAL_FACES" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_N_CRITICAL_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_N_CRITICAL_FACES" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_N_CRITICAL_FACES'); return false;"><b>MORSE_MATCHING_N_CRITICAL_FACES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_N_CRITICAL_FACES" class="foldit"><div class="descr"><p> Number of critical faces of the computed Morse matching.
 FIXME: temporary</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_SIZE" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_SIZE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_SIZE" onclick="swap_content('span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_SIZE'); return false;"><b>MORSE_MATCHING_SIZE</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__HASSE_DIAGRAM__MORSE_MATCHING_SIZE" class="foldit"><div class="descr"><p> Size of the computed Morse matching.
 FIXME: temporary</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__H_VECTOR" onclick="swap_content('span:SimplicialComplex__H_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__H_VECTOR" onclick="swap_content('span:SimplicialComplex__H_VECTOR'); return false;"><b>H_VECTOR</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__H_VECTOR" class="foldit"><div class="descr"><p> The h-vector of the simplicial complex.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__MINIMAL_NON_FACES" onclick="swap_content('span:SimplicialComplex__MINIMAL_NON_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__MINIMAL_NON_FACES" onclick="swap_content('span:SimplicialComplex__MINIMAL_NON_FACES'); return false;"><b>MINIMAL_NON_FACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__MINIMAL_NON_FACES" class="foldit"><div class="descr"><p> Inclusion minimal non-faces (vertex subsets which are not faces of the simplicial complex).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__N_FACETS" onclick="swap_content('span:SimplicialComplex__N_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__N_FACETS" onclick="swap_content('span:SimplicialComplex__N_FACETS'); return false;"><b>N_FACETS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__N_FACETS" class="foldit"><div class="descr"><p> Number of <a href="#SimplicialComplex__FACETS" onclick="unfold('span:SimplicialComplex__FACETS');">FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__N_MINIMAL_NON_FACES" onclick="swap_content('span:SimplicialComplex__N_MINIMAL_NON_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__N_MINIMAL_NON_FACES" onclick="swap_content('span:SimplicialComplex__N_MINIMAL_NON_FACES'); return false;"><b>N_MINIMAL_NON_FACES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__N_MINIMAL_NON_FACES" class="foldit"><div class="descr"><p> Number of <a href="#SimplicialComplex__MINIMAL_NON_FACES" onclick="unfold('span:SimplicialComplex__MINIMAL_NON_FACES');">MINIMAL_NON_FACES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__N_VERTICES" onclick="swap_content('span:SimplicialComplex__N_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__N_VERTICES" onclick="swap_content('span:SimplicialComplex__N_VERTICES'); return false;"><b>N_VERTICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__N_VERTICES" class="foldit"><div class="descr"><p> Number of vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__ODD_SUBCOMPLEX" onclick="swap_content('span:SimplicialComplex__ODD_SUBCOMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__ODD_SUBCOMPLEX" onclick="swap_content('span:SimplicialComplex__ODD_SUBCOMPLEX'); return false;"><b>ODD_SUBCOMPLEX</b>:
		</a><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a><br/><div style="display: inline" id="span:SimplicialComplex__ODD_SUBCOMPLEX" class="foldit"><div class="descr"><p> Subcomplex generated by faces of codimension 2 that are contained in an odd
 number of faces of codimension 1.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__PROJ_DICTIONARY" onclick="swap_content('span:SimplicialComplex__PROJ_DICTIONARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__PROJ_DICTIONARY" onclick="swap_content('span:SimplicialComplex__PROJ_DICTIONARY'); return false;"><b>PROJ_DICTIONARY</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__PROJ_DICTIONARY" class="foldit"><div class="descr"><p> For each vertex the corresponding vertex of facet 0 with respect to the action of the group of projectivities.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__PROJ_ORBITS" onclick="swap_content('span:SimplicialComplex__PROJ_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__PROJ_ORBITS" onclick="swap_content('span:SimplicialComplex__PROJ_ORBITS'); return false;"><b>PROJ_ORBITS</b>:
		</a><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">common::PowerSet&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__PROJ_ORBITS" class="foldit"><div class="descr"><p> Orbit decomposition of the group of projectivities acting on the set of vertices of facet 0.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__PURE" onclick="swap_content('span:SimplicialComplex__PURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__PURE" onclick="swap_content('span:SimplicialComplex__PURE'); return false;"><b>PURE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__PURE" class="foldit"><div class="descr"><p> A simplicial complex is <em class="u">pure</em> if all its facets have the same dimension.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__SHELLABLE" onclick="swap_content('span:SimplicialComplex__SHELLABLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__SHELLABLE" onclick="swap_content('span:SimplicialComplex__SHELLABLE'); return false;"><b>SHELLABLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__SHELLABLE" class="foldit"><div class="descr"><p> True if this is shellable.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__SHELLING" onclick="swap_content('span:SimplicialComplex__SHELLING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__SHELLING" onclick="swap_content('span:SimplicialComplex__SHELLING'); return false;"><b>SHELLING</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__SHELLING" class="foldit"><div class="descr"><p> An ordered list of facets constituting a shelling.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VERTEX_INDICES" onclick="swap_content('span:SimplicialComplex__VERTEX_INDICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VERTEX_INDICES" onclick="swap_content('span:SimplicialComplex__VERTEX_INDICES'); return false;"><b>VERTEX_INDICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__VERTEX_INDICES" class="foldit"><div class="descr"><p> Indices of the vertices from <a href="#SimplicialComplex__INPUT_FACES" onclick="unfold('span:SimplicialComplex__INPUT_FACES');">INPUT_FACES</a>.  That is, the map i \mapsto v_i.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__properties__Input_property" onclick="swap_content('span:SimplicialComplex__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__properties__Input_property" onclick="swap_content('span:SimplicialComplex__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__INPUT_FACES" onclick="swap_content('span:SimplicialComplex__INPUT_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__INPUT_FACES" onclick="swap_content('span:SimplicialComplex__INPUT_FACES'); return false;"><b>INPUT_FACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__INPUT_FACES" class="foldit"><div class="descr"><p> Any description of the faces of a simplicial complex with vertices v_0 &lt; v_1 &lt; v_2 &lt; ... arbitrary.  Redundant faces allowed.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__properties__Topology" onclick="swap_content('span:SimplicialComplex__properties__Topology'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__properties__Topology" onclick="swap_content('span:SimplicialComplex__properties__Topology'); return false;"><span class="category">Topology</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__properties__Topology" class="foldit"><div class="descr"><p> The following properties are topological invariants.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__BALL" onclick="swap_content('span:SimplicialComplex__BALL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__BALL" onclick="swap_content('span:SimplicialComplex__BALL'); return false;"><b>BALL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__BALL" class="foldit"><div class="descr"><p> Determines if this is homeomorphic to a ball.
 In general, this is undecidable; therefore, the implementation depends on heuristics.
 May be true or false or undef (if heuristic does not succeed).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__CLOSED_PSEUDO_MANIFOLD" onclick="swap_content('span:SimplicialComplex__CLOSED_PSEUDO_MANIFOLD'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__CLOSED_PSEUDO_MANIFOLD" onclick="swap_content('span:SimplicialComplex__CLOSED_PSEUDO_MANIFOLD'); return false;"><b>CLOSED_PSEUDO_MANIFOLD</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__CLOSED_PSEUDO_MANIFOLD" class="foldit"><div class="descr"><p> True if this is a <a href="#SimplicialComplex__PURE" onclick="unfold('span:SimplicialComplex__PURE');">PURE</a> simplicial complex with the property that each ridge is
 contained in exactly two facets.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__COCYCLES" onclick="swap_content('span:SimplicialComplex__COCYCLES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__COCYCLES" onclick="swap_content('span:SimplicialComplex__COCYCLES'); return false;"><b>COCYCLES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;CycleGroup&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__COCYCLES" class="foldit"><div class="descr"><p> Representatives of cocycle groups, listed in increasing codimension order.
 See <a href="#CycleGroup" onclick="unfold('span:CycleGroup');">CycleGroup</a> for explanation of encoding of each group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__COHOMOLOGY" onclick="swap_content('span:SimplicialComplex__COHOMOLOGY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__COHOMOLOGY" onclick="swap_content('span:SimplicialComplex__COHOMOLOGY'); return false;"><b>COHOMOLOGY</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;HomologyGroup&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__COHOMOLOGY" class="foldit"><div class="descr"><p> Reduced cohomology groups, listed in increasing codimension order.
 See <a href="#HomologyGroup" onclick="unfold('span:HomologyGroup');">HomologyGroup</a> for explanation of encoding of each group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__CYCLES" onclick="swap_content('span:SimplicialComplex__CYCLES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__CYCLES" onclick="swap_content('span:SimplicialComplex__CYCLES'); return false;"><b>CYCLES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;CycleGroup&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__CYCLES" class="foldit"><div class="descr"><p> Representatives of cycle groups, listed in increasing dimension order.
 See <a href="#CycleGroup" onclick="unfold('span:CycleGroup');">CycleGroup</a> for explanation of encoding of each group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__EULER_CHARACTERISTIC" onclick="swap_content('span:SimplicialComplex__EULER_CHARACTERISTIC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__EULER_CHARACTERISTIC" onclick="swap_content('span:SimplicialComplex__EULER_CHARACTERISTIC'); return false;"><b>EULER_CHARACTERISTIC</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__EULER_CHARACTERISTIC" class="foldit"><div class="descr"><p> Reduced Euler characteristic.  Alternating sum of the <a href="#SimplicialComplex__F_VECTOR" onclick="unfold('span:SimplicialComplex__F_VECTOR');">F_VECTOR</a> minus 1.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__FUNDAMENTAL_GROUP" onclick="swap_content('span:SimplicialComplex__FUNDAMENTAL_GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__FUNDAMENTAL_GROUP" onclick="swap_content('span:SimplicialComplex__FUNDAMENTAL_GROUP'); return false;"><b>FUNDAMENTAL_GROUP</b>:
		</a><a href="common.html#Pair" onclick="unfold('span:Pair');">common::Pair&lt;Int, List&lt;List&lt;Pair&lt;Int, Int&gt;&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__FUNDAMENTAL_GROUP" class="foldit"><div class="descr"><p> A finite representation of the fundamental group.
 The fundamental group is represented as a pair of an integer,
 the number of generators, and a list of relations. The generators are numbered
 consecutively starting with zero. A relation is encoded as a list of pairs,
 each pair consisting of a generator and its exponent.</p><p> You may use the <a href="#SimplicialComplex__fundamental2gap" onclick="unfold('span:SimplicialComplex__fundamental2gap');">fundamental2gap</a> method to produce a <code>GAP</code> file.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS" onclick="swap_content('span:SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS" onclick="swap_content('span:SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS'); return false;"><b>FUNDAMENTAL_GROUP_GEN_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS" class="foldit"><div class="descr"><p> Labels of the generators of the <a href="#SimplicialComplex__FUNDAMENTAL_GROUP" onclick="unfold('span:SimplicialComplex__FUNDAMENTAL_GROUP');">FUNDAMENTAL_GROUP</a>.
 The labels can be chosen freely. If the <a href="#SimplicialComplex__FUNDAMENTAL_GROUP" onclick="unfold('span:SimplicialComplex__FUNDAMENTAL_GROUP');">FUNDAMENTAL_GROUP</a> is computed
 by polymake, the generators correspond to the edges of the
 complex. Hence they are labeled <code>g</code> followed by the vertices of the edge, e.g.
 <code>g3_6</code> corresponds to the edge {3 6}.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__GENUS" onclick="swap_content('span:SimplicialComplex__GENUS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__GENUS" onclick="swap_content('span:SimplicialComplex__GENUS'); return false;"><b>GENUS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SimplicialComplex__GENUS" class="foldit"><div class="descr"><p> The <em class="u">genus</em> of a surface.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__HOMOLOGY" onclick="swap_content('span:SimplicialComplex__HOMOLOGY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__HOMOLOGY" onclick="swap_content('span:SimplicialComplex__HOMOLOGY'); return false;"><b>HOMOLOGY</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;HomologyGroup&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__HOMOLOGY" class="foldit"><div class="descr"><p> Reduced simplicial homology groups H<sub>0</sub>, ..., H<sub>d</sub> (integer coefficients), listed in increasing dimension order.
 See <a href="#HomologyGroup" onclick="unfold('span:HomologyGroup');">HomologyGroup</a> for explanation of encoding of each group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__INTERSECTION_FORM" onclick="swap_content('span:SimplicialComplex__INTERSECTION_FORM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__INTERSECTION_FORM" onclick="swap_content('span:SimplicialComplex__INTERSECTION_FORM'); return false;"><b>INTERSECTION_FORM</b>:
		</a><a href="#IntersectionForm" onclick="unfold('span:IntersectionForm');">IntersectionForm</a><br/><div style="display: inline" id="span:SimplicialComplex__INTERSECTION_FORM" class="foldit"><div class="descr"><p> Parity and signature of the intersection form of a closed oriented 4-manifold.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__KNOT" onclick="swap_content('span:SimplicialComplex__KNOT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__KNOT" onclick="swap_content('span:SimplicialComplex__KNOT'); return false;"><b>KNOT</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__KNOT" class="foldit"><div class="descr"><p> Edge-subset of a 3-sphere which is a knot or link, that is, a collection of pairwise disjoint cycles.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__LOCALLY_STRONGLY_CONNECTED" onclick="swap_content('span:SimplicialComplex__LOCALLY_STRONGLY_CONNECTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__LOCALLY_STRONGLY_CONNECTED" onclick="swap_content('span:SimplicialComplex__LOCALLY_STRONGLY_CONNECTED'); return false;"><b>LOCALLY_STRONGLY_CONNECTED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__LOCALLY_STRONGLY_CONNECTED" class="foldit"><div class="descr"><p> True if the vertex star of each vertex is <a href="#SimplicialComplex__DUAL_CONNECTED" onclick="unfold('span:SimplicialComplex__DUAL_CONNECTED');">DUAL_CONNECTED</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__MANIFOLD" onclick="swap_content('span:SimplicialComplex__MANIFOLD'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__MANIFOLD" onclick="swap_content('span:SimplicialComplex__MANIFOLD'); return false;"><b>MANIFOLD</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__MANIFOLD" class="foldit"><div class="descr"><p> Determines if this is a compact simplicial manifold with boundary.
 Depends on heuristic <a href="#SimplicialComplex__SPHERE" onclick="unfold('span:SimplicialComplex__SPHERE');">SPHERE</a> recognition.
 May be true or false or undef (if heuristic does not succeed).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__ORIENTATION" onclick="swap_content('span:SimplicialComplex__ORIENTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__ORIENTATION" onclick="swap_content('span:SimplicialComplex__ORIENTATION'); return false;"><b>ORIENTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Bool&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__ORIENTATION" class="foldit"><div class="descr"><p> An orientation of the facets of an <a href="#SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD" onclick="unfold('span:SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD');">ORIENTED_PSEUDO_MANIFOLD</a>, such that the induced orientations
 of a common ridge of two neighboring facets cancel each other out. Each facet is marked with <em class="param">true</em>
 if the orientation is given by the increasing vertex ordering and is marked with <em class="param">false</em> if the
 orientation is obtained from the increasing vertex ordering by a transposition.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD" onclick="swap_content('span:SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD" onclick="swap_content('span:SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD'); return false;"><b>ORIENTED_PSEUDO_MANIFOLD</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__ORIENTED_PSEUDO_MANIFOLD" class="foldit"><div class="descr"><p> True if this is a <a href="#SimplicialComplex__PSEUDO_MANIFOLD" onclick="unfold('span:SimplicialComplex__PSEUDO_MANIFOLD');">PSEUDO_MANIFOLD</a> with top level homology isomorphic to Z.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__PSEUDO_MANIFOLD" onclick="swap_content('span:SimplicialComplex__PSEUDO_MANIFOLD'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__PSEUDO_MANIFOLD" onclick="swap_content('span:SimplicialComplex__PSEUDO_MANIFOLD'); return false;"><b>PSEUDO_MANIFOLD</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__PSEUDO_MANIFOLD" class="foldit"><div class="descr"><p> True if this is a <a href="#SimplicialComplex__PURE" onclick="unfold('span:SimplicialComplex__PURE');">PURE</a> simplicial complex with the property that each ridge is
 contained in either one or two facets.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__SPHERE" onclick="swap_content('span:SimplicialComplex__SPHERE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__SPHERE" onclick="swap_content('span:SimplicialComplex__SPHERE'); return false;"><b>SPHERE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__SPHERE" class="foldit"><div class="descr"><p> Determines if this is homeomorphic to a sphere.
 In general, this is undecidable; therefore, the implementation depends on heuristics.
 May be true or false or undef (if heuristic does not succeed).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__STIEFEL_WHITNEY" onclick="swap_content('span:SimplicialComplex__STIEFEL_WHITNEY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__STIEFEL_WHITNEY" onclick="swap_content('span:SimplicialComplex__STIEFEL_WHITNEY'); return false;"><b>STIEFEL_WHITNEY</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;PowerSet&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__STIEFEL_WHITNEY" class="foldit"><div class="descr"><p> Mod 2 cycle representation of Stiefel-Whitney classes.  Each cycle is represented as a set of simplices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__SURFACE" onclick="swap_content('span:SimplicialComplex__SURFACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__SURFACE" onclick="swap_content('span:SimplicialComplex__SURFACE'); return false;"><b>SURFACE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SimplicialComplex__SURFACE" class="foldit"><div class="descr"><p> True if this is a <a href="#SimplicialComplex__CONNECTED" onclick="unfold('span:SimplicialComplex__CONNECTED');">CONNECTED</a> <a href="#SimplicialComplex__MANIFOLD" onclick="unfold('span:SimplicialComplex__MANIFOLD');">MANIFOLD</a> of dimension 2.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__properties__Visualization" onclick="swap_content('span:SimplicialComplex__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__properties__Visualization" onclick="swap_content('span:SimplicialComplex__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__MIXED_GRAPH" onclick="swap_content('span:SimplicialComplex__MIXED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__MIXED_GRAPH" onclick="swap_content('span:SimplicialComplex__MIXED_GRAPH'); return false;"><b>MIXED_GRAPH</b>:
		</a><a href="graph.html#EdgeWeightedGraph" onclick="unfold('span:EdgeWeightedGraph');">graph::EdgeWeightedGraph</a><br/><div style="display: inline" id="span:SimplicialComplex__MIXED_GRAPH" class="foldit"><div class="descr"><p> The nodes of the mixed graph are the nodes of the primal <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> and
 the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a>. Additional to the primal and dual edges, there is
 an edge between a primal and a dual node iff the primal node represents
 a vertex of the corresponding facet of the dual node.
 <strong>FIXME:</strong> temporary</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VERTEX_LABELS" onclick="swap_content('span:SimplicialComplex__VERTEX_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VERTEX_LABELS" onclick="swap_content('span:SimplicialComplex__VERTEX_LABELS'); return false;"><b>VERTEX_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__VERTEX_LABELS" class="foldit"><div class="descr"><p> Labels of the vertices.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of SimplicialComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__methods__Combinatorics" onclick="swap_content('span:SimplicialComplex__methods__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__methods__Combinatorics" onclick="swap_content('span:SimplicialComplex__methods__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__methods__Combinatorics" class="foldit"><div class="descr"><p> These methods capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__BIPARTITE" onclick="swap_content('span:SimplicialComplex__BIPARTITE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__BIPARTITE" onclick="swap_content('span:SimplicialComplex__BIPARTITE'); return false;"><b>BIPARTITE</b></a>
			()  

			
				→ Bool<div style="display: inline" id="span:SimplicialComplex__BIPARTITE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> is a <em class="u">bipartite</em>. </p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__CONNECTED_COMPONENTS" onclick="swap_content('span:SimplicialComplex__CONNECTED_COMPONENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__CONNECTED_COMPONENTS" onclick="swap_content('span:SimplicialComplex__CONNECTED_COMPONENTS'); return false;"><b>CONNECTED_COMPONENTS</b></a>
			()  

			
				→ PowerSet&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__CONNECTED_COMPONENTS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The connected components of the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a>, encoded as node sets. </p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__CONNECTIVITY" onclick="swap_content('span:SimplicialComplex__CONNECTIVITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__CONNECTIVITY" onclick="swap_content('span:SimplicialComplex__CONNECTIVITY'); return false;"><b>CONNECTIVITY</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:SimplicialComplex__CONNECTIVITY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Node connectivity of the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a>, that is, the minimal number of nodes to be removed from the graph such that the result is disconnected.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_BIPARTITE" onclick="swap_content('span:SimplicialComplex__DUAL_BIPARTITE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_BIPARTITE" onclick="swap_content('span:SimplicialComplex__DUAL_BIPARTITE'); return false;"><b>DUAL_BIPARTITE</b></a>
			()  

			
				→ Bool<div style="display: inline" id="span:SimplicialComplex__DUAL_BIPARTITE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a> is a <em class="u">bipartite</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_CONNECTED_COMPONENTS" onclick="swap_content('span:SimplicialComplex__DUAL_CONNECTED_COMPONENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_CONNECTED_COMPONENTS" onclick="swap_content('span:SimplicialComplex__DUAL_CONNECTED_COMPONENTS'); return false;"><b>DUAL_CONNECTED_COMPONENTS</b></a>
			()  

			
				→ PowerSet&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__DUAL_CONNECTED_COMPONENTS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The connected components of the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a>, encoded as node sets. </p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_CONNECTIVITY" onclick="swap_content('span:SimplicialComplex__DUAL_CONNECTIVITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_CONNECTIVITY" onclick="swap_content('span:SimplicialComplex__DUAL_CONNECTIVITY'); return false;"><b>DUAL_CONNECTIVITY</b></a>
			()  

			
				→ PowerSet&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__DUAL_CONNECTIVITY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Node connectivity of the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a>. Dual to <a href="#SimplicialComplex__CONNECTIVITY" onclick="unfold('span:SimplicialComplex__CONNECTIVITY');">CONNECTIVITY</a>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_GRAPH_SIGNATURE" onclick="swap_content('span:SimplicialComplex__DUAL_GRAPH_SIGNATURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_GRAPH_SIGNATURE" onclick="swap_content('span:SimplicialComplex__DUAL_GRAPH_SIGNATURE'); return false;"><b>DUAL_GRAPH_SIGNATURE</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:SimplicialComplex__DUAL_GRAPH_SIGNATURE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Difference of the black and white nodes if the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a> is <a href="#SimplicialComplex__BIPARTITE" onclick="unfold('span:SimplicialComplex__BIPARTITE');">BIPARTITE</a>. Otherwise -1. </p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_MAX_CLIQUES" onclick="swap_content('span:SimplicialComplex__DUAL_MAX_CLIQUES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_MAX_CLIQUES" onclick="swap_content('span:SimplicialComplex__DUAL_MAX_CLIQUES'); return false;"><b>DUAL_MAX_CLIQUES</b></a>
			()  

			
				→ PowerSet&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__DUAL_MAX_CLIQUES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The maximal cliques of the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a>, encoded as node sets.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__GRAPH_SIGNATURE" onclick="swap_content('span:SimplicialComplex__GRAPH_SIGNATURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__GRAPH_SIGNATURE" onclick="swap_content('span:SimplicialComplex__GRAPH_SIGNATURE'); return false;"><b>GRAPH_SIGNATURE</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:SimplicialComplex__GRAPH_SIGNATURE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Difference of the black and white nodes if the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> is <a href="#SimplicialComplex__BIPARTITE" onclick="unfold('span:SimplicialComplex__BIPARTITE');">BIPARTITE</a>. Otherwise -1.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__labeled_vertices" onclick="swap_content('span:SimplicialComplex__labeled_vertices'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__labeled_vertices" onclick="swap_content('span:SimplicialComplex__labeled_vertices'); return false;"><b>labeled_vertices</b></a>
			(label ...)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__labeled_vertices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the vertices by given labels.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">label ...</td><td><div class="descr"><div>vertex labels</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td><div class="descr"><div>vertex indices</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__MAX_CLIQUES" onclick="swap_content('span:SimplicialComplex__MAX_CLIQUES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__MAX_CLIQUES" onclick="swap_content('span:SimplicialComplex__MAX_CLIQUES'); return false;"><b>MAX_CLIQUES</b></a>
			()  

			
				→ PowerSet&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__MAX_CLIQUES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The maximal cliques of the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a>, encoded as node sets.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VERTEX_DEGREES" onclick="swap_content('span:SimplicialComplex__VERTEX_DEGREES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VERTEX_DEGREES" onclick="swap_content('span:SimplicialComplex__VERTEX_DEGREES'); return false;"><b>VERTEX_DEGREES</b></a>
			()  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:SimplicialComplex__VERTEX_DEGREES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Degrees of the vertices in the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__methods__Topology" onclick="swap_content('span:SimplicialComplex__methods__Topology'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__methods__Topology" onclick="swap_content('span:SimplicialComplex__methods__Topology'); return false;"><span class="category">Topology</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__methods__Topology" class="foldit"><div class="descr"><p> The following methods compute topological invariants.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__CONNECTED" onclick="swap_content('span:SimplicialComplex__CONNECTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__CONNECTED" onclick="swap_content('span:SimplicialComplex__CONNECTED'); return false;"><b>CONNECTED</b></a>
			()  

			
				→ Bool<div style="display: inline" id="span:SimplicialComplex__CONNECTED" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> is a connected graph.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__DUAL_CONNECTED" onclick="swap_content('span:SimplicialComplex__DUAL_CONNECTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__DUAL_CONNECTED" onclick="swap_content('span:SimplicialComplex__DUAL_CONNECTED'); return false;"><b>DUAL_CONNECTED</b></a>
			()  

			
				→ Bool<div style="display: inline" id="span:SimplicialComplex__DUAL_CONNECTED" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a> is a connected graph.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__fundamental2gap" onclick="swap_content('span:SimplicialComplex__fundamental2gap'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__fundamental2gap" onclick="swap_content('span:SimplicialComplex__fundamental2gap'); return false;"><b>fundamental2gap</b></a>
			(filename)  

			<div style="display: inline" id="span:SimplicialComplex__fundamental2gap" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Writes the <a href="#SimplicialComplex__FUNDAMENTAL_GROUP" onclick="unfold('span:SimplicialComplex__FUNDAMENTAL_GROUP');">FUNDAMENTAL_GROUP</a> using <a href="#SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS" onclick="unfold('span:SimplicialComplex__FUNDAMENTAL_GROUP_GEN_LABELS');">FUNDAMENTAL_GROUP_GEN_LABELS</a> to
 the given file in <a href="http://polymake.org//external_software#gap" onclick="unfold('span:gap');">GAP</a> input format.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__N_CONNECTED_COMPONENTS" onclick="swap_content('span:SimplicialComplex__N_CONNECTED_COMPONENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__N_CONNECTED_COMPONENTS" onclick="swap_content('span:SimplicialComplex__N_CONNECTED_COMPONENTS'); return false;"><b>N_CONNECTED_COMPONENTS</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:SimplicialComplex__N_CONNECTED_COMPONENTS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Number of connected components of the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__methods__Visualization" onclick="swap_content('span:SimplicialComplex__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SimplicialComplex__methods__Visualization" onclick="swap_content('span:SimplicialComplex__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:SimplicialComplex__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VISUAL" onclick="swap_content('span:SimplicialComplex__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VISUAL" onclick="swap_content('span:SimplicialComplex__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::SimplicialComplex<div style="display: inline" id="span:SimplicialComplex__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the complex.</p><p> If <a href="#GeometricSimplicialComplex__G_DIM" onclick="unfold('span:GeometricSimplicialComplex__G_DIM');">G_DIM</a> &lt; 4, the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> and the facets
 are visualized using the <a href="#GeometricSimplicialComplex__COORDINATES" onclick="unfold('span:GeometricSimplicialComplex__COORDINATES');">COORDINATES</a>.</p><p> Otherwise, the spring embedder and the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a> are used to
 produce coordinates for the visualization.</p><p> If <a href="http://polymake.org//external_software#javaview" onclick="unfold('span:javaview');">JavaView</a> is used to visualize the complex, all faces of
 one facet build a geometry in the jvx-file, so you may use
 <em class="u">Method -&gt; Effect -&gt; Explode Group of Geometries</em> in the JavaView menu.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">mixed_graph</td><td><div class="descr"><div>use the <a href="#SimplicialComplex__MIXED_GRAPH" onclick="unfold('span:SimplicialComplex__MIXED_GRAPH');">MIXED_GRAPH</a> for the spring embedder</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Polygon::decorations</td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SimplicialComplex" onclick="unfold('span:Visual_SimplicialComplex');">Visual::SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VISUAL_DUAL_GRAPH" onclick="swap_content('span:SimplicialComplex__VISUAL_DUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VISUAL_DUAL_GRAPH" onclick="swap_content('span:SimplicialComplex__VISUAL_DUAL_GRAPH'); return false;"><b>VISUAL_DUAL_GRAPH</b></a>
			()  

			
				→ Visual::SimplicialComplex<div style="display: inline" id="span:SimplicialComplex__VISUAL_DUAL_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Uses the spring embedder to visualize the <a href="#SimplicialComplex__DUAL_GRAPH" onclick="unfold('span:SimplicialComplex__DUAL_GRAPH');">DUAL_GRAPH</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SimplicialComplex" onclick="unfold('span:Visual_SimplicialComplex');">Visual::SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VISUAL_FACE_LATTICE" onclick="swap_content('span:SimplicialComplex__VISUAL_FACE_LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VISUAL_FACE_LATTICE" onclick="swap_content('span:SimplicialComplex__VISUAL_FACE_LATTICE'); return false;"><b>VISUAL_FACE_LATTICE</b></a>
			()  

			
				→ Visual::SimplicialComplexLattice<div style="display: inline" id="span:SimplicialComplex__VISUAL_FACE_LATTICE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#SimplicialComplex__HASSE_DIAGRAM" onclick="unfold('span:SimplicialComplex__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> of a simplicial complex as a multi-layer graph.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SimplicialComplexLattice" onclick="unfold('span:Visual_SimplicialComplexLattice');">Visual::SimplicialComplexLattice</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VISUAL_GRAPH" onclick="swap_content('span:SimplicialComplex__VISUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VISUAL_GRAPH" onclick="swap_content('span:SimplicialComplex__VISUAL_GRAPH'); return false;"><b>VISUAL_GRAPH</b></a>
			()  

			
				→ Visual::SimplicialComplex<div style="display: inline" id="span:SimplicialComplex__VISUAL_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Uses the spring embedder to visualize the <a href="#SimplicialComplex__GRAPH" onclick="unfold('span:SimplicialComplex__GRAPH');">GRAPH</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SimplicialComplex" onclick="unfold('span:Visual_SimplicialComplex');">Visual::SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VISUAL_MIXED_GRAPH" onclick="swap_content('span:SimplicialComplex__VISUAL_MIXED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VISUAL_MIXED_GRAPH" onclick="swap_content('span:SimplicialComplex__VISUAL_MIXED_GRAPH'); return false;"><b>VISUAL_MIXED_GRAPH</b></a>
			()  

			<div style="display: inline" id="span:SimplicialComplex__VISUAL_MIXED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Uses the spring embedder to visualize the <a href="#SimplicialComplex__MIXED_GRAPH" onclick="unfold('span:SimplicialComplex__MIXED_GRAPH');">MIXED_GRAPH</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table></div></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of SimplicialComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__FacetPerm" onclick="swap_content('span:SimplicialComplex__FacetPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__FacetPerm" onclick="swap_content('span:SimplicialComplex__FacetPerm'); return false;"><b>FacetPerm</b></a><div style="display: inline" id="span:SimplicialComplex__FacetPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of FacetPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__FacetPerm__PERMUTATION" onclick="swap_content('span:SimplicialComplex__FacetPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__FacetPerm__PERMUTATION" onclick="swap_content('span:SimplicialComplex__FacetPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__FacetPerm__PERMUTATION" class="foldit"><div class="descr"><p> Transforming <a href="#SimplicialComplex__FACETS" onclick="unfold('span:SimplicialComplex__FACETS');">FACETS</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VertexPerm" onclick="swap_content('span:SimplicialComplex__VertexPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VertexPerm" onclick="swap_content('span:SimplicialComplex__VertexPerm'); return false;"><b>VertexPerm</b></a><div style="display: inline" id="span:SimplicialComplex__VertexPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of VertexPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SimplicialComplex__VertexPerm__PERMUTATION" onclick="swap_content('span:SimplicialComplex__VertexPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SimplicialComplex__VertexPerm__PERMUTATION" onclick="swap_content('span:SimplicialComplex__VertexPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SimplicialComplex__VertexPerm__PERMUTATION" class="foldit"><div class="descr"><p> Transforming vertices from this into basic object.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplex" onclick="swap_content('span:Visual_SimplicialComplex'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_SimplicialComplex" onclick="swap_content('span:Visual_SimplicialComplex'); return false;"><span class="object">Visual::SimplicialComplex</span></a></h3></div><div style="display: inline" id="span:Visual_SimplicialComplex" class="foldit"><div class="descr"><p> Visualization of the simplicial complex.</p></div><div class="level3"/><h4>User Methods of Visual::SimplicialComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplex__FACES" onclick="swap_content('span:Visual_SimplicialComplex__FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SimplicialComplex__FACES" onclick="swap_content('span:Visual_SimplicialComplex__FACES'); return false;"><b>FACES</b></a>
			(PROPERTY_NAME)  

			<div style="display: inline" id="span:Visual_SimplicialComplex__FACES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add faces with optional different graphical attributes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">PROPERTY_NAME</td><td><div class="descr"><div>or [ Faces ]</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygon::decorations</td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplex__MORSE_MATCHING" onclick="swap_content('span:Visual_SimplicialComplex__MORSE_MATCHING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SimplicialComplex__MORSE_MATCHING" onclick="swap_content('span:Visual_SimplicialComplex__MORSE_MATCHING'); return false;"><b>MORSE_MATCHING</b></a>
			()  

			<div style="display: inline" id="span:Visual_SimplicialComplex__MORSE_MATCHING" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add the <a href="#" onclick="unfold('span:');" class="invalid">MORSE_MATCHING</a> to the visualization of the <a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplex__SUBCOMPLEX" onclick="swap_content('span:Visual_SimplicialComplex__SUBCOMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SimplicialComplex__SUBCOMPLEX" onclick="swap_content('span:Visual_SimplicialComplex__SUBCOMPLEX'); return false;"><b>SUBCOMPLEX</b></a>
			(PROPERTY_NAME)  

			<div style="display: inline" id="span:Visual_SimplicialComplex__SUBCOMPLEX" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add a subcomplex with optional different graphical attributes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">PROPERTY_NAME</td><td><div class="descr"><div>or [ Facets ]</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygon::decorations</td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr><tr><td>option list:</td><td>Visual::PointSet::decorations</td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplexLattice" onclick="swap_content('span:Visual_SimplicialComplexLattice'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_SimplicialComplexLattice" onclick="swap_content('span:Visual_SimplicialComplexLattice'); return false;"><span class="object">Visual::SimplicialComplexLattice</span></a></h3></div><div style="display: inline" id="span:Visual_SimplicialComplexLattice" class="foldit"><div class="descr"><p> Visualization of the <a href="#SimplicialComplex__HASSE_DIAGRAM" onclick="unfold('span:SimplicialComplex__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> of a simplicial complex as a multi-layer graph.</p></div><div class="level3"/><h4>User Methods of Visual::SimplicialComplexLattice</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplexLattice__FACES" onclick="swap_content('span:Visual_SimplicialComplexLattice__FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SimplicialComplexLattice__FACES" onclick="swap_content('span:Visual_SimplicialComplexLattice__FACES'); return false;"><b>FACES</b></a>
			(faces)  

			<div style="display: inline" id="span:Visual_SimplicialComplexLattice__FACES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add distinguished faces with different graphical attributes <em class="param">NodeColor</em> and <em class="param">NodeStyle</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">faces</td><td><div class="descr"><div>(to be changed in the near future)</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SimplicialComplexLattice__SUBCOMPLEX" onclick="swap_content('span:Visual_SimplicialComplexLattice__SUBCOMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SimplicialComplexLattice__SUBCOMPLEX" onclick="swap_content('span:Visual_SimplicialComplexLattice__SUBCOMPLEX'); return false;"><b>SUBCOMPLEX</b></a>
			(property)  

			<div style="display: inline" id="span:Visual_SimplicialComplexLattice__SUBCOMPLEX" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add a subcomplex with different graphical attributes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">property</td><td><div class="descr"><div>name of the subcomplex property (to be changed in the near future)</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:functions__Comparing" onclick="swap_content('span:functions__Comparing'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Comparing" onclick="swap_content('span:functions__Comparing'); return false;"><span class="category">Comparing</span></a></h3></div><div style="display: inline" id="span:functions__Comparing" class="foldit"><div class="descr"><p> These functions compare two <a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></p></div><ul><li><div class="li"><div class="icon" id="icon:find_facet_vertex_permutations" onclick="swap_content('span:find_facet_vertex_permutations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="find_facet_vertex_permutations" onclick="swap_content('span:find_facet_vertex_permutations'); return false;"><b>find_facet_vertex_permutations</b></a>
			(complex1, complex2)  

			
				→ Pair&lt;Array&lt;Int&gt;, Array&lt;int&gt;&gt;<div style="display: inline" id="span:find_facet_vertex_permutations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the permutations of facets and vertices which maps the first complex to the second one.
 The facet permutation is the first component of the return value.
 If the complexes are not isomorphic, an exception is thrown.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Pair" onclick="unfold('span:Pair');">Pair&lt;Array&lt;Int&gt;, Array&lt;int&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:isomorphic" onclick="swap_content('span:isomorphic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="isomorphic" onclick="swap_content('span:isomorphic'); return false;"><b>isomorphic</b></a>
			(complex1, complex2)  

			
				→ Bool<div style="display: inline" id="span:isomorphic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Determine whether two given complexes are combinatorially isomorphic.
 The problem is reduced to graph isomorphism of the vertex-facet incidence graphs.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:pl_homeomorphic" onclick="swap_content('span:pl_homeomorphic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="pl_homeomorphic" onclick="swap_content('span:pl_homeomorphic'); return false;"><b>pl_homeomorphic</b></a>
			(complex1, complex2)  

			
				→ Bool<div style="display: inline" id="span:pl_homeomorphic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Tries to determine whether two complexes are pl-homeomorphic by using
  bistellar flips and a simulated annealing strategy.</p><p> You may specify the maximal number of <em class="param">rounds</em>, how often the system
 may <em class="param">relax</em> before heating up and how much <em class="param">heat</em> should be applied.
 The function stops computing, once the size of the triangulation has not decreased
 for <em class="param">rounds</em> iterations. If the <em class="param">abs</em> flag is set, the function stops
 after <em class="param">rounds</em> iterations regardless of when the last improvement took place.
 Additionally, you may set the threshold <em class="param">min_n_facets</em> for the number of facets when
 the simplification ought to stop. Default is d+2 in the <a href="#SimplicialComplex__CLOSED_PSEUDO_MANIFOLD" onclick="unfold('span:SimplicialComplex__CLOSED_PSEUDO_MANIFOLD');">CLOSED_PSEUDO_MANIFOLD</a> case
 and 1 otherwise.</p><p> If you want to influence the distribution of the dimension of the moves when warming up
 you may do so by specifying a <em class="param">distribution</em>. The number of values in <em class="param">distribution</em>
 determines the dimensions used for heating up. The heating and relaxing parameters decrease dynamically
 unless the <em class="param">constant</em> flag is set. The function prohibits to execute the reversed move of a move
 directly after the move itself unless the <em class="param">allow_rev_move</em> flag is set. Setting the
 <em class="param">allow_rev_move</em> flag might help solve a particular resilient problem.</p><p> If you are interested in how the process is coming along, try the <em class="param">verbose</em> option.
 It specifies after how many rounds the current best result is displayed.</p><p> The <em class="param">obj</em> determines the objective function used for the optimization. If <em class="param">obj</em> is set to 0,
 the function searches for the triangulation with the lexicographically smallest f-vector,
 if <em class="param">obj</em> is set to 1, the function searches for the triangulation with the reversed-lexicographically
 smallest f-vector and if <em class="param">obj</em> is set to 2 the sum of the f-vector entries is used.
 The default is 1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">rounds</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">abs</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">obj</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">relax</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">heat</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">constant</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">allow_rev_move</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">min_n_facets</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">verbose</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">quiet</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">distribution</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Other" onclick="swap_content('span:functions__Other'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Other" onclick="swap_content('span:functions__Other'); return false;"><span class="category">Other</span></a></h3></div><div style="display: inline" id="span:functions__Other" class="foldit"><div class="descr"><p> Special purpose functions.</p></div><ul><li><div class="li"><div class="icon" id="icon:is_generalized_shelling" onclick="swap_content('span:is_generalized_shelling'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_generalized_shelling" onclick="swap_content('span:is_generalized_shelling'); return false;"><b>is_generalized_shelling</b></a>
			(FaceList)  

			
				→ Bool<div style="display: inline" id="span:is_generalized_shelling" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a given sequence of faces of a simplicial complex is a generalized shelling.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">FaceList</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:is_vertex_decomposition" onclick="swap_content('span:is_vertex_decomposition'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_vertex_decomposition" onclick="swap_content('span:is_vertex_decomposition'); return false;"><b>is_vertex_decomposition</b></a>
			(complex, vertices)  

			
				→ Bool<div style="display: inline" id="span:is_vertex_decomposition" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether a given ordered subset of the vertex set is a <em class="u">vertex decomposition</em>.
 Works for 1-, 2- and 3-manifolds only!</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">vertices</td><td><div class="descr"><div>shedding vertices</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:mixed_graph" onclick="swap_content('span:mixed_graph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mixed_graph" onclick="swap_content('span:mixed_graph'); return false;"><b>mixed_graph</b></a>
			(complex)  

			<div style="display: inline" id="span:mixed_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the mixed graph of a <em class="param">complex</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">edge_weight</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:morse_matching" onclick="swap_content('span:morse_matching'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="morse_matching" onclick="swap_content('span:morse_matching'); return false;"><b>morse_matching</b></a>
			(complex)  

			
				→ EdgeMap<div style="display: inline" id="span:morse_matching" class="foldit"><br/><div class="descr_func"><div class="descr"><p>  Compute a Morse matching. Two heuristics are implemented: </p><blockquote><div> (1) A simple greedy algorithm: </div><div> The arcs are visited in lexicographical order, i.e.: </div><div> we proceed by levels from top to bottom, </div><div> visit the faces in each dimension in lexicographical order, </div><div> and visited the faces covered by these faces in lexicographical order. </div></blockquote><blockquote><div> This heuristic is used by default and with heuristic =&gt; 1. </div></blockquote><blockquote><div> (2) A Morse matching can be improved by canceling critical cells </div><div> along unique alternating paths, see function </div><div> processAlternatingPaths() in file morse_matching_tools.h . </div><div> This idea is due to Robin Forman: </div></blockquote><blockquote><div>	 Morse Theory for Cell-Complexes, </div><div>	 Advances in Math., 134 (1998), pp. 90-145. </div></blockquote><blockquote><div> This heuristic is used by default and with heuristic =&gt; 2. </div></blockquote><p>
  The default setting is to use both, i.e., to run the greedy algorithm 
  and then improve the result by the canceling algorithm. </p><p>  Morse matchings for the bottom level can be found optimally by 
  spanning tree techniques. This can be enabled by the option 
  levels =&gt; 1.  If the complex is a pseudo-manifold the same can be 
  done for the top level (option levels =&gt; 2). By specifying option 
  levels =&gt; 0, both levels can be computed by spanning trees. 
  For 2-dim pseudo-manifolds this computes an optimal Morse matching. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td><div class="descr"><div>given by its Hasse diagram </div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">heuristic</td><td><div class="descr"><div>(1=greedy, 2=cancel, 0=both (default)) </div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">levels</td><td><div class="descr"><div>(1=bottom, 2=top, 0=both (default)) </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">EdgeMap</a></td><td><div class="descr"><div>matching a labelling of the edges of the Hasse diagram with integer values, where 1 means that the edge is in the matching</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:morse_matching_size" onclick="swap_content('span:morse_matching_size'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="morse_matching_size" onclick="swap_content('span:morse_matching_size'); return false;"><b>morse_matching_size</b></a>
			(complex)  

			
				→ Int<div style="display: inline" id="span:morse_matching_size" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the number of edges in a Morse matching. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td><div class="descr"><div>a complex with a Morse matching </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>the number of edges in the matching.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stanley_reisner" onclick="swap_content('span:stanley_reisner'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stanley_reisner" onclick="swap_content('span:stanley_reisner'); return false;"><b>stanley_reisner</b></a>
			(complex)  

			
				→ ideal::Ideal<div style="display: inline" id="span:stanley_reisner" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <em class="u">Stanley-Reisner ideal</em> of a simplicial complex.
 Optional <em class="param">ring</em> parameter is required to have precisely as many variables as <em class="param">C</em> has vertices.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Ring" onclick="unfold('span:Ring');">Ring&lt;Rational,int&gt;</a></td><td class="param">ring</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="ideal.html#Ideal" onclick="unfold('span:Ideal');">ideal::Ideal</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stiefel_whitney" onclick="swap_content('span:stiefel_whitney'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stiefel_whitney" onclick="swap_content('span:stiefel_whitney'); return false;"><b>stiefel_whitney</b></a>
			(facets)  

			
				→ Array&lt;PowerSet&lt;Int&gt;&gt;<div style="display: inline" id="span:stiefel_whitney" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes <em class="u">Stiefel-Whitney classes</em> of mod 2 Euler space (in particular, closed manifold).
 Use option <em class="param">verbose</em> to show regular pairs and cycles.
 A narrower dimension range of interest can be specified.
 Negative values are treated as co-dimension - 1</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">facets</td><td><div class="descr"><div>the facets of the simplicial complex</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">high_dim</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">low_dim</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;PowerSet&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_new_simplicial_complex_from_others" onclick="swap_content('span:functions__Producing_a_new_simplicial_complex_from_others'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_new_simplicial_complex_from_others" onclick="swap_content('span:functions__Producing_a_new_simplicial_complex_from_others'); return false;"><span class="category">Producing a new simplicial complex from others</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_new_simplicial_complex_from_others" class="foldit"><div class="descr"><p> These functions construct a new <a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a> from other objects of the same type.</p></div><ul><li><div class="li"><div class="icon" id="icon:alexander_dual" onclick="swap_content('span:alexander_dual'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="alexander_dual" onclick="swap_content('span:alexander_dual'); return false;"><b>alexander_dual</b></a>
			(complex)  

			
				→ SimplicialComplex<div style="display: inline" id="span:alexander_dual" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the Alexander dual complex, that is, the complements of all non-faces.
 The vertex labels are preserved unless the <em class="param">nol</em> flag is specified.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">nol</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:barycentric_subdivision" onclick="swap_content('span:barycentric_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="barycentric_subdivision" onclick="swap_content('span:barycentric_subdivision'); return false;"><b>barycentric_subdivision</b></a>
			(complex)  

			
				→ SimplicialComplex<div style="display: inline" id="span:barycentric_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">barycentric subdivision</em> of <em class="param">complex</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">pin_hasse_section</td><td><div class="descr"><div>default: HASSE_DIAGRAM</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">label_section</td><td><div class="descr"><div>default: VERTEX_LABELS</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">coord_section</td><td><div class="descr"><div>default: VERTICES</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>set to 1 to obtain a <a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a>, default: 0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td><div class="descr"><div>(or <a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a>)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:bistellar_simplification" onclick="swap_content('span:bistellar_simplification'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="bistellar_simplification" onclick="swap_content('span:bistellar_simplification'); return false;"><b>bistellar_simplification</b></a>
			(complex)  

			
				→ SimplicialComplex<div style="display: inline" id="span:bistellar_simplification" class="foldit"><br/><div class="descr_func"><div class="descr"><p>  Heuristic for simplifying the triangulation of the given manifold
  without changing its PL-type. The function uses
  bistellar flips and a simulated annealing strategy.</p><p> You may specify the maximal number of <em class="param">rounds</em>, how often the system
 may <em class="param">relax</em> before heating up and how much <em class="param">heat</em> should be applied.
 The function stops computing, once the size of the triangulation has not decreased
 for <em class="param">rounds</em> iterations. If the <em class="param">abs</em> flag is set, the function stops
 after <em class="param">rounds</em> iterations regardless of when the last improvement took place.
 Additionally, you may set the threshold <em class="param">min_n_facets</em> for the number of facets when
 the simplification ought to stop. Default is d+2 in the <a href="#SimplicialComplex__CLOSED_PSEUDO_MANIFOLD" onclick="unfold('span:SimplicialComplex__CLOSED_PSEUDO_MANIFOLD');">CLOSED_PSEUDO_MANIFOLD</a> case
 and 1 otherwise.</p><p> If you want to influence the distribution of the dimension of the moves when warming up
 you may do so by specifying a <em class="param">distribution</em>. The number of values in <em class="param">distribution</em>
 determines the dimensions used for heating up. The heating and relaxing parameters decrease dynamically
 unless the <em class="param">constant</em> flag is set. The function prohibits to execute the reversed move of a move
 directly after the move itself unless the <em class="param">allow_rev_move</em> flag is set. Setting the
 <em class="param">allow_rev_move</em> flag might help solve a particular resilient problem.</p><p> If you are interested in how the process is coming along, try the <em class="param">verbose</em> option.
 It specifies after how many rounds the current best result is displayed.</p><p> The <em class="param">obj</em> determines the objective function used for the optimization. If <em class="param">obj</em> is set to 0,
 the function searches for the triangulation with the lexicographically smallest f-vector,
 if <em class="param">obj</em> is set to any other value the sum of the f-vector entries is used.
 The default is 1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">rounds</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">abs</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">obj</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">relax</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">heat</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">constant</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">allow_rev_move</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">min_n_facets</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">verbose</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">quiet</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">distribution</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:bs2quotient" onclick="swap_content('span:bs2quotient'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="bs2quotient" onclick="swap_content('span:bs2quotient'); return false;"><b>bs2quotient</b></a>
			(P, complex)  

			
				→ SimplicialComplex<div style="display: inline" id="span:bs2quotient" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a simplicial complex from a simplicial subdivision of a given complex
 by identifying vertices on the boundary of the original complex according to a group that acts on vertices.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Polytope</td><td class="param">P</td><td><div class="descr"><div>the underlying polytope</div></div></td></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td><div class="descr"><div>a sufficiently fine subdivision of P, for example the second barycentric subdivision</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cone" onclick="swap_content('span:cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cone" onclick="swap_content('span:cone'); return false;"><b>cone</b></a>
			(complex, k)  

			
				→ SimplicialComplex<div style="display: inline" id="span:cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="param">k</em>-cone over a given simplicial complex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td>int</td><td class="param">k</td><td><div class="descr"><div>default is 1</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">apex_labels</td><td><div class="descr"><div>labels of the apex vertices.
  Default labels have the form <code>apex_0, apex_1, ...</code>.
  In the case the input complex has already vertex labels of this kind,
  the duplicates are avoided.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">nol</td><td><div class="descr"><div>don't generate any vertex labels.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:connected_sum" onclick="swap_content('span:connected_sum'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="connected_sum" onclick="swap_content('span:connected_sum'); return false;"><b>connected_sum</b></a>
			(complex1, complex2, f1, f2)  

			
				→ SimplicialComplex<div style="display: inline" id="span:connected_sum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <em class="u">connected sum</em> of two complexes.</p><p> Parameters <em class="param">f_1 and </em>f_2// specify which facet of the first and second complex correspondingly are glued together.
 Default is the 0-th facet of both.</p><p> The vertices in the selected facets are identified with each other according to their order in the facet
 (that is, in icreasing index order).  The option <em class="param">permutation</em> allows to get an alternative identification. It should specify a
 permutation of the vertices of the second facet.</p><p> The vertices of the new complex get the original labels with <code>_1</code> or <code>_2</code> appended, according to the input complex
  they came from.  If you set the <em class="param">no_labels</em> flag, the label generation will be omitted.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr><tr><td>int</td><td class="param">f1</td><td><div class="descr"><div>default: 0</div></div></td></tr><tr><td>int</td><td class="param">f2</td><td><div class="descr"><div>default: 0</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;int&gt;</a></td><td class="param">permutation</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_lables</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:deletion" onclick="swap_content('span:deletion'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="deletion" onclick="swap_content('span:deletion'); return false;"><b>deletion</b></a>
			(complex, face)  

			
				→ SimplicialComplex<div style="display: inline" id="span:deletion" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove the given <em class="param">face</em> and all the faces containing it.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">face</td><td><div class="descr"><div>specified by vertex indices.
  Please use <a href="#SimplicialComplex__labeled_vertices" onclick="unfold('span:SimplicialComplex__labeled_vertices');">labeled_vertices</a> if you want to specify the face by vertex labels.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td><div class="descr"><div>do not write vertex labels.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:disjoint_union" onclick="swap_content('span:disjoint_union'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="disjoint_union" onclick="swap_content('span:disjoint_union'); return false;"><b>disjoint_union</b></a>
			(complex1, complex2)  

			
				→ SimplicialComplex<div style="display: inline" id="span:disjoint_union" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="u">disjoint union</em> of the two given complexes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td>labels</td><td class="param">creates</td><td><div class="descr"><div><a href="#SimplicialComplex__VERTEX_LABELS" onclick="unfold('span:SimplicialComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.
 The vertex labels are built from the original labels with a suffix <code>_1</code> or <code>_2</code> appended.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:edge_contraction" onclick="swap_content('span:edge_contraction'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="edge_contraction" onclick="swap_content('span:edge_contraction'); return false;"><b>edge_contraction</b></a>
			(complex)  

			
				→ SimplicialComplex<div style="display: inline" id="span:edge_contraction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Heuristic for simplifying the triangulation of the given manifold
 without changing its PL-type. Choosing a random order of the vertices,
 the function tries to contract all incident edges.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:foldable_prism" onclick="swap_content('span:foldable_prism'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="foldable_prism" onclick="swap_content('span:foldable_prism'); return false;"><b>foldable_prism</b></a>
			(complex)  

			
				→ GeometricSimplicialComplex<div style="display: inline" id="span:foldable_prism" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="u">prism</em> over a given <a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td class="param">complex</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:h_induced_quotient" onclick="swap_content('span:h_induced_quotient'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="h_induced_quotient" onclick="swap_content('span:h_induced_quotient'); return false;"><b>h_induced_quotient</b></a>
			(C, vertices)  

			
				→ SimplicialComplex<div style="display: inline" id="span:h_induced_quotient" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Let <em class="param">C</em> be the given simplicial and A the subcomplex induced by
 the given <em class="param">vertices</em>. Then this function produces a simplicial complex
 homotopy equivalent to <em class="param">C</em> mod A by adding the cone over A with
 apex a to <em class="param">C</em>.
 The label of the apex my be specified via the option <em class="param">apex</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">C</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">vertices</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td><div class="descr"><div>tells the client not to write any labels.</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">apex</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:induced_subcomplex" onclick="swap_content('span:induced_subcomplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="induced_subcomplex" onclick="swap_content('span:induced_subcomplex'); return false;"><b>induced_subcomplex</b></a>
			(complex, vertices)  

			
				→ SimplicialComplex<div style="display: inline" id="span:induced_subcomplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the subcomplex consisting of all faces which are contained in the given set of <em class="param">vertices</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">vertices</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_label</td><td><div class="descr"><div>tells the client not to create any labels.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geom_real</td><td><div class="descr"><div>tells the client to inherit the <a href="#GeometricSimplicialComplex__COORDINATES" onclick="unfold('span:GeometricSimplicialComplex__COORDINATES');">COORDINATES</a>.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:iterated_barycentric_subdivision" onclick="swap_content('span:iterated_barycentric_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="iterated_barycentric_subdivision" onclick="swap_content('span:iterated_barycentric_subdivision'); return false;"><b>iterated_barycentric_subdivision</b></a>
			(complex, k)  

			
				→ SimplicialComplex<div style="display: inline" id="span:iterated_barycentric_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="param">k</em>-th <em class="u">barycentric subdivision</em> of <em class="param">complex</em> by iteratively calling <a href="#barycentric_subdivision" onclick="unfold('span:barycentric_subdivision');">barycentric_subdivision</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">pin_hasse_section</td><td><div class="descr"><div>default: HASSE_DIAGRAM</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">label_section</td><td><div class="descr"><div>default: VERTEX_LABELS</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">coord_section</td><td><div class="descr"><div>default: VERTICES</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>set to 1 to obtain a <a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a>, default: 0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td><div class="descr"><div>(or <a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a>)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:join_complexes" onclick="swap_content('span:join_complexes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="join_complexes" onclick="swap_content('span:join_complexes'); return false;"><b>join_complexes</b></a>
			(complex1, complex2)  

			
				→ SimplicialComplex<div style="display: inline" id="span:join_complexes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the join of <em class="param">complex1</em> and <em class="param">complex2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">labels</td><td><div class="descr"><div>creates <a href="#SimplicialComplex__VERTEX_LABELS" onclick="unfold('span:SimplicialComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.
  The vertex labels are built from the original labels with a suffix <code>_1</code> or <code>_2</code> appended.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:k_skeleton__SimplicialComplex__int" onclick="swap_content('span:k_skeleton__SimplicialComplex__int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="k_skeleton__SimplicialComplex__int" onclick="swap_content('span:k_skeleton__SimplicialComplex__int'); return false;"><b>k_skeleton</b></a>
			(complex, k)  

			
				→ SimplicialComplex<div style="display: inline" id="span:k_skeleton__SimplicialComplex__int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="param">k</em>-skeleton.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td>int</td><td class="param">k</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">vertex_labels</td><td><div class="descr"><div>whether to create <a href="#SimplicialComplex__VERTEX_LABELS" onclick="unfold('span:SimplicialComplex__VERTEX_LABELS');">VERTEX_LABELS</a></div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:k_skeleton__GeometricSimplicialComplex__int" onclick="swap_content('span:k_skeleton__GeometricSimplicialComplex__int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="k_skeleton__GeometricSimplicialComplex__int" onclick="swap_content('span:k_skeleton__GeometricSimplicialComplex__int'); return false;"><b>k_skeleton</b></a>
			(complex, k)  

			
				→ GeometricSimplicialComplex<div style="display: inline" id="span:k_skeleton__GeometricSimplicialComplex__int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="param">k</em>-skeleton.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td>int</td><td class="param">k</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">vertex_labels</td><td><div class="descr"><div>whether to create <a href="#SimplicialComplex__VERTEX_LABELS" onclick="unfold('span:SimplicialComplex__VERTEX_LABELS');">VERTEX_LABELS</a></div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:link_complex" onclick="swap_content('span:link_complex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="link_complex" onclick="swap_content('span:link_complex'); return false;"><b>link_complex</b></a>
			(complex, face)  

			
				→ SimplicialComplex<div style="display: inline" id="span:link_complex" class="foldit"><br/><div class="descr_func"><div class="descr"><p>  Produce the <em class="u">link</em> of a <em class="param">face</em> of the <em class="param">complex</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;int&gt;</a></td><td class="param">face</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td><div class="descr"><div>tells the client not to create any labels.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:p_sum_triangulation" onclick="swap_content('span:p_sum_triangulation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="p_sum_triangulation" onclick="swap_content('span:p_sum_triangulation'); return false;"><b>p_sum_triangulation</b></a>
			(P, Q, WebOfStars)  

			
				→ GeometricSimplicialComplex<div style="display: inline" id="span:p_sum_triangulation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a specific P-sum-triangulation of two given triangulations
 and a WebOfStars.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td class="param">P</td><td><div class="descr"><div>First complex which will be favoured</div></div></td></tr><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td class="param">Q</td><td><div class="descr"><div>second complex</div></div></td></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">WebOfStars</td><td><div class="descr"><div>Every row corresponds to a full dimensional simplex in P and every column to a full dimensional simplex in Q.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplicial_product__SimplicialComplex__SimplicialComplex" onclick="swap_content('span:simplicial_product__SimplicialComplex__SimplicialComplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplicial_product__SimplicialComplex__SimplicialComplex" onclick="swap_content('span:simplicial_product__SimplicialComplex__SimplicialComplex'); return false;"><b>simplicial_product</b></a>
			(complex1, complex2)  

			
				→ SimplicialComplex<div style="display: inline" id="span:simplicial_product__SimplicialComplex__SimplicialComplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">simplicial product</em> of two complexes.
 Vertex orderings may be given as options.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">vertex_order1</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">vertex_order2</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>default 0</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">color_cons</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplicial_product__GeometricSimplicialComplex__GeometricSimplicialComplex" onclick="swap_content('span:simplicial_product__GeometricSimplicialComplex__GeometricSimplicialComplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplicial_product__GeometricSimplicialComplex__GeometricSimplicialComplex" onclick="swap_content('span:simplicial_product__GeometricSimplicialComplex__GeometricSimplicialComplex'); return false;"><b>simplicial_product</b></a>
			&lt;Scalar&gt;
		 
			(complex1, complex2)  

			
				→ GeometricSimplicialComplex&lt;Scalar&gt;<div style="display: inline" id="span:simplicial_product__GeometricSimplicialComplex__GeometricSimplicialComplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">simplicial product</em> of two complexes.
 Vertex orderings may be given as options.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">vertex_order1</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">vertex_order2</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>default 1</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">color_cons</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:star" onclick="swap_content('span:star'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="star" onclick="swap_content('span:star'); return false;"><b>star</b></a>
			(complex, face)  

			
				→ SimplicialComplex<div style="display: inline" id="span:star" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="u">star</em> of the <em class="param">face</em> of the <em class="param">complex</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;int&gt;</a></td><td class="param">face</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">labels</td><td><div class="descr"><div>creates <a href="#SimplicialComplex__VERTEX_LABELS" onclick="unfold('span:SimplicialComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:star_deletion" onclick="swap_content('span:star_deletion'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="star_deletion" onclick="swap_content('span:star_deletion'); return false;"><b>star_deletion</b></a>
			(complex, face)  

			
				→ SimplicialComplex<div style="display: inline" id="span:star_deletion" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove the star of a given <em class="param">face</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">face</td><td><div class="descr"><div>specified by vertex indices.
  Please use <a href="#SimplicialComplex__labeled_vertices" onclick="unfold('span:SimplicialComplex__labeled_vertices');">labeled_vertices</a> if you want to specify the face by vertex labels.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td><div class="descr"><div>do not write vertex labels.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stellar_subdivision__SimplicialComplex__Array_Set_Int" onclick="swap_content('span:stellar_subdivision__SimplicialComplex__Array_Set_Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stellar_subdivision__SimplicialComplex__Array_Set_Int" onclick="swap_content('span:stellar_subdivision__SimplicialComplex__Array_Set_Int'); return false;"><b>stellar_subdivision</b></a>
			(complex, faces)  

			
				→ SimplicialComplex<div style="display: inline" id="span:stellar_subdivision__SimplicialComplex__Array_Set_Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the complex obtained by stellar subdivision of the given <em class="param">faces</em> of the <em class="param">complex</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">faces</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>default 0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stellar_subdivision__SimplicialComplex__Set_Int" onclick="swap_content('span:stellar_subdivision__SimplicialComplex__Set_Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stellar_subdivision__SimplicialComplex__Set_Int" onclick="swap_content('span:stellar_subdivision__SimplicialComplex__Set_Int'); return false;"><b>stellar_subdivision</b></a>
			(complex, face)  

			
				→ SimplicialComplex<div style="display: inline" id="span:stellar_subdivision__SimplicialComplex__Set_Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the complex obtained by stellar subdivision of the given <em class="param">face</em> of the <em class="param">complex</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">face</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>default 0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:suspension" onclick="swap_content('span:suspension'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="suspension" onclick="swap_content('span:suspension'); return false;"><b>suspension</b></a>
			(complex, k)  

			
				→ SimplicialComplex<div style="display: inline" id="span:suspension" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="u"><em class="param">k</em>-suspension</em> over a given simplicial complex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td><div class="descr"><div>default value is 1</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">labels</td><td><div class="descr"><div>for the apices.
  By default apices are labeled with <code>apex_0+</code>, <code>apex_0-</code>, <code>apex_1+</code>, etc.
  If one of the specified labels already exists, a unique one is made
  by appending <code>_i</code> where <em class="param">i</em> is some small number.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">nol</td><td><div class="descr"><div>do not produce any labels.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:union" onclick="swap_content('span:union'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="union" onclick="swap_content('span:union'); return false;"><b>union</b></a>
			(complex1, complex2)  

			
				→ SimplicialComplex<div style="display: inline" id="span:union" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the union of the two given complexes, identifying
 vertices with equal labels.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex1</td><td/></tr><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">labels</td><td><div class="descr"><div>creates <a href="#SimplicialComplex__VERTEX_LABELS" onclick="unfold('span:SimplicialComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_simplicial_complex_from_other_objects" onclick="swap_content('span:functions__Producing_a_simplicial_complex_from_other_objects'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_simplicial_complex_from_other_objects" onclick="swap_content('span:functions__Producing_a_simplicial_complex_from_other_objects'); return false;"><span class="category">Producing a simplicial complex from other objects</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_simplicial_complex_from_other_objects" class="foldit"><div class="descr"><p> These functions construct a new <a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a> from other objects.</p></div><ul><li><div class="li"><div class="icon" id="icon:clique_complex" onclick="swap_content('span:clique_complex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="clique_complex" onclick="swap_content('span:clique_complex'); return false;"><b>clique_complex</b></a>
			(graph)  

			
				→ SimplicialComplex<div style="display: inline" id="span:clique_complex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="u">clique complex</em> of a given graph.
 If <em class="param">no_labels</em> is set to 1, the labels are not copied.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:independence_complex" onclick="swap_content('span:independence_complex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="independence_complex" onclick="swap_content('span:independence_complex'); return false;"><b>independence_complex</b></a>
			(matroid)  

			
				→ SimplicialComplex<div style="display: inline" id="span:independence_complex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="u">independence complex</em> of a given matroid.
 If <em class="param">no_labels</em> is set to 1, the labels are not copied.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="matroid.html#Matroid" onclick="unfold('span:Matroid');">matroid::Matroid</a></td><td class="param">matroid</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_from_scratch" onclick="swap_content('span:functions__Producing_from_scratch'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_from_scratch" onclick="swap_content('span:functions__Producing_from_scratch'); return false;"><span class="category">Producing from scratch</span></a></h3></div><div style="display: inline" id="span:functions__Producing_from_scratch" class="foldit"><div class="descr"><p> With these clients you can create special examples of simplicial complexes and complexes belonging to parameterized families.</p></div><ul><li><div class="li"><div class="icon" id="icon:ball" onclick="swap_content('span:ball'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ball" onclick="swap_content('span:ball'); return false;"><b>ball</b></a>
			(d)  

			
				→ GeometricSimplicialComplex<div style="display: inline" id="span:ball" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A <em class="param">d</em>-dimensional <em class="u">ball</em>, realized as the <em class="param">d</em>-simplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:complex_projective_plane" onclick="swap_content('span:complex_projective_plane'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="complex_projective_plane" onclick="swap_content('span:complex_projective_plane'); return false;"><b>complex_projective_plane</b></a>
			()  

			
				→ SimplicialComplex<div style="display: inline" id="span:complex_projective_plane" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The complex projective plane with the vertex-minimal triangulation by Kühnel and Brehm.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cube_complex" onclick="swap_content('span:cube_complex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cube_complex" onclick="swap_content('span:cube_complex'); return false;"><b>cube_complex</b></a>
			()  

			<div style="display: inline" id="span:cube_complex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a triangulated pile of hypercubes: Each cube is split into d!
 tetrahedra, and the tetrahedra are all grouped around one of the
 diagonal axes of the cube.
 DOC_FIXME
 args: x_1, ... , x_d</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:klein_bottle" onclick="swap_content('span:klein_bottle'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="klein_bottle" onclick="swap_content('span:klein_bottle'); return false;"><b>klein_bottle</b></a>
			()  

			
				→ SimplicialComplex<div style="display: inline" id="span:klein_bottle" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The Klein bottle.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_knot" onclick="swap_content('span:rand_knot'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_knot" onclick="swap_content('span:rand_knot'); return false;"><b>rand_knot</b></a>
			(n_edges)  

			
				→ SimplicialComplex<div style="display: inline" id="span:rand_knot" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a random knot (or link) as a polygonal closed curve in 3-space.
 The knot (or each connected component of the link) has <em class="param">n_edges</em> edges.</p><p> The vertices are uniformly distributed in [-1,1]<sup>3</sup>, unless the <em class="param">on_sphere</em> option is set.
 In the latter case the vertices are uniformly distributed on the 3-sphere. Alternatively
 the <em class="param">brownian</em> option produces a knot by connecting the ends of a simulated brownian motion.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n_edges</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n_comp</td><td><div class="descr"><div>number of components, default is 1.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">on_sphere</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">brownian</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:real_projective_plane" onclick="swap_content('span:real_projective_plane'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="real_projective_plane" onclick="swap_content('span:real_projective_plane'); return false;"><b>real_projective_plane</b></a>
			()  

			
				→ SimplicialComplex<div style="display: inline" id="span:real_projective_plane" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The real projective plane with its unique minimal triangulation on six vertices.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplex" onclick="swap_content('span:simplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplex" onclick="swap_content('span:simplex'); return false;"><b>simplex</b></a>
			(d)  

			
				→ SimplicialComplex<div style="display: inline" id="span:simplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A <em class="u">simplex</em> of dimension <em class="param">d</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:sphere" onclick="swap_content('span:sphere'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="sphere" onclick="swap_content('span:sphere'); return false;"><b>sphere</b></a>
			(d)  

			
				→ GeometricSimplicialComplex<div style="display: inline" id="span:sphere" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="param">d</em>-dimensional <em class="u">sphere</em>, realized as the boundary of the (<em class="param">d</em>+1)-simplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:surface" onclick="swap_content('span:surface'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="surface" onclick="swap_content('span:surface'); return false;"><b>surface</b></a>
			(g)  

			
				→ SimplicialComplex<div style="display: inline" id="span:surface" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="u">surface of genus <em class="param">g</em></em>. For <em class="param">g</em> &gt;= 0
 the client produces an orientable surface, otherwise
 it produces a non-orientable one.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">g</td><td><div class="descr"><div>genus</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:torus" onclick="swap_content('span:torus'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="torus" onclick="swap_content('span:torus'); return false;"><b>torus</b></a>
			()  

			
				→ SimplicialComplex<div style="display: inline" id="span:torus" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The Császár Torus. Geometric realization by Frank Lutz,
 Electronic Geometry Model No. 2001.02.069</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:unknot" onclick="swap_content('span:unknot'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="unknot" onclick="swap_content('span:unknot'); return false;"><b>unknot</b></a>
			(m, n)  

			
				→ GeometricSimplicialComplex<div style="display: inline" id="span:unknot" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a triangulated 3-sphere with the particularly NASTY embedding
 of the unknot in its 1-skeleton. The parameters <em class="param">m</em> &gt;= 2 and <em class="param">n</em> &gt;= 1
 determine how entangled the unknot is. <em class="param">eps</em> determines the <a href="#GeometricSimplicialComplex__COORDINATES" onclick="unfold('span:GeometricSimplicialComplex__COORDINATES');">COORDINATES</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">eps</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">GeometricSimplicialComplex</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Topology" onclick="swap_content('span:functions__Topology'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Topology" onclick="swap_content('span:functions__Topology'); return false;"><span class="category">Topology</span></a></h3></div><div style="display: inline" id="span:functions__Topology" class="foldit"><div class="descr"><p> The following functions compute topological invariants.</p></div><ul><li><div class="li"><div class="icon" id="icon:cap_product" onclick="swap_content('span:cap_product'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cap_product" onclick="swap_content('span:cap_product'); return false;"><b>cap_product</b></a>
			(complex)  

			<div style="display: inline" id="span:cap_product" class="foldit"><br/><div class="descr_func"><div class="descr"><p>Compute and print all cap products of cohomology and homology cycles.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a></td><td class="param">complex</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:homology" onclick="swap_content('span:homology'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="homology" onclick="swap_content('span:homology'); return false;"><b>homology</b></a>
			(complex, co)  

			<div style="display: inline" id="span:homology" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the <em class="u">(co-)homology groups</em> of a simplicial complex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;int&gt;&gt;</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">co</td><td><div class="descr"><div>set to true for <em class="u">co</em>homology</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim_low</td><td><div class="descr"><div>narrows the dimension range of interest, with negative values being treated as co-dimensions</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim_high</td><td><div class="descr"><div>see <em class="param">dim_low</em></div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:homology_and_cycles" onclick="swap_content('span:homology_and_cycles'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="homology_and_cycles" onclick="swap_content('span:homology_and_cycles'); return false;"><b>homology_and_cycles</b></a>
			(complex, co)  

			<div style="display: inline" id="span:homology_and_cycles" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the <em class="u">(co-)homology groups</em> and <em class="u">cycle representatives</em> of a simplicial complex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;int&gt;&gt;</a></td><td class="param">complex</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">co</td><td><div class="descr"><div>set to true for <em class="u">co</em>homology</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim_low</td><td><div class="descr"><div>narrows the dimension range of interest, with negative values being treated as co-dimensions</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim_high</td><td><div class="descr"><div>see <em class="param">dim_low</em></div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div><div class="level3"><h2>Property Types</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:property_types__Topology" onclick="swap_content('span:property_types__Topology'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="property_types__Topology" onclick="swap_content('span:property_types__Topology'); return false;"><span class="category">Topology</span></a></h3></div><div style="display: inline" id="span:property_types__Topology" class="foldit"><div class="descr"><p> The following property_types are topological invariants.</p></div><ul><li><div class="li"><div class="icon" id="icon:CycleGroup" onclick="swap_content('span:CycleGroup'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="CycleGroup" onclick="swap_content('span:CycleGroup'); return false;"><b>CycleGroup</b></a>
			&lt;Scalar&gt;
		<div style="display: inline" id="span:CycleGroup" class="foldit"><div class="descr"><p> A group is encoded as a pair of an integer matrix and a vector of faces.
 The elements of the group can be obtained by symbolic multiplication of both.</p><p> Access methods: <em class="param">coeff</em> delivers the integer matrix, <em class="param">faces</em> the vector of faces.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>integer type of matrix elements</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:HomologyGroup" onclick="swap_content('span:HomologyGroup'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="HomologyGroup" onclick="swap_content('span:HomologyGroup'); return false;"><b>HomologyGroup</b></a><div style="display: inline" id="span:HomologyGroup" class="foldit"><div class="descr"><p> A group is encoded as a sequence ( { (t<sub>1</sub> m<sub>1</sub>) ...  (t<sub>n</sub>  m<sub>n</sub>) } f) of non-negative integers,
 with t<sub>1</sub> &gt; t<sub>2</sub> &gt; ... &gt; t<sub>n</sub> &gt; 1, plus an extra non-negative integer f.</p><p> The group is isomorphic to (Z/t<sub>1</sub>)<sup>m<sub>1</sub></sup> × ... × (Z/t<sub>n</sub>)<sup>m<sub>n</sub></sup> × Z<sup>f</sup>, 
 where Z<sup>0</sup> is the trivial group.</p><p> Access methods: <em class="param">torsion</em> delivers the list of Z-groups, <em class="param">betti_number</em> the number f.</p></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:IntersectionForm" onclick="swap_content('span:IntersectionForm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IntersectionForm" onclick="swap_content('span:IntersectionForm'); return false;"><b>IntersectionForm</b></a><div style="display: inline" id="span:IntersectionForm" class="foldit"><div class="descr"><p> TODO: explain the meaning of the fields: parity, positive, negative</p></div><div class="level3"/></div></div></div></li></ul></div></div></div></li></ul></div></div>
