<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: tropical</h1><div class="descr"><p> This application concentrates on <a href="#Hypersurface" onclick="unfold('span:Hypersurface');">tropical hypersurfaces</a> and <a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">tropical polytopes</a>.
 It provides the functionality for the computation of basic properties. Visualization and various constructions are possible.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="graph.html">graph</a><br/><b>uses: </b><a href="fan.html">fan</a>, <a href="group.html">group</a>, <a href="ideal.html">ideal</a>, <a href="polytope.html">polytope</a>, <a href="topaz.html">topaz</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Hypersurface" onclick="swap_content('span:Hypersurface'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Hypersurface" onclick="swap_content('span:Hypersurface'); return false;"><span class="object">Hypersurface</span></a></h3></div><div style="display: inline" id="span:Hypersurface" class="foldit"><div class="descr"><p> FIXME: Include typecheck?</p></div><div class="level3"/><h4>Properties of Hypersurface</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Hypersurface__COEFFICIENTS" onclick="swap_content('span:Hypersurface__COEFFICIENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__COEFFICIENTS" onclick="swap_content('span:Hypersurface__COEFFICIENTS'); return false;"><b>COEFFICIENTS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Rational&gt;</a><br/><div style="display: inline" id="span:Hypersurface__COEFFICIENTS" class="foldit"><div class="descr"><p> Coefficients of the (tropical) polynomial defining the hypersurface.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__DEGREE" onclick="swap_content('span:Hypersurface__DEGREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__DEGREE" onclick="swap_content('span:Hypersurface__DEGREE'); return false;"><b>DEGREE</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__DEGREE" class="foldit"><div class="descr"><p> Total degree.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__DIM" onclick="swap_content('span:Hypersurface__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__DIM" onclick="swap_content('span:Hypersurface__DIM'); return false;"><b>DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__DIM" class="foldit"><div class="descr"><p> Dimension of the hypersurface.
 Depends on whether <a href="#Hypersurface__HOMOGENEOUS" onclick="unfold('span:Hypersurface__HOMOGENEOUS');">HOMOGENEOUS</a> or not.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__DOME" onclick="swap_content('span:Hypersurface__DOME'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__DOME" onclick="swap_content('span:Hypersurface__DOME'); return false;"><b>DOME</b>:
		</a><a href="polytope.html#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">polytope::Polytope&lt;Rational&gt;</a><br/><div style="display: inline" id="span:Hypersurface__DOME" class="foldit"><div class="descr"><p> The <em class="u">dome</em> of a tropical polynomial \(F:\mathbb R^d\to\mathbb R\) (and the corresponding tropical hypersurface) is the set 
 \[D(F)=\left\{(p,s)\in\mathbb R^{d+1}\mid p\in\mathbb R^d, s\in\mathbb R, s\leq F(p)\right\}.\]
 It is an unbounded convex polyhedron, c.f.</p><blockquote><div>Michael Joswig, <a href="http://page.math.tu-berlin.de/~joswig/etc/ETC-130412.pdf" onclick="unfold('span:');">Essentials of Tropical Combinatorics</a>, Chapter 1.</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__HOMOGENEOUS" onclick="swap_content('span:Hypersurface__HOMOGENEOUS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__HOMOGENEOUS" onclick="swap_content('span:Hypersurface__HOMOGENEOUS'); return false;"><b>HOMOGENEOUS</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Hypersurface__HOMOGENEOUS" class="foldit"><div class="descr"><p> True if all <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a> share the same total degree.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__MAXIMAL_FACES" onclick="swap_content('span:Hypersurface__MAXIMAL_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__MAXIMAL_FACES" onclick="swap_content('span:Hypersurface__MAXIMAL_FACES'); return false;"><b>MAXIMAL_FACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Hypersurface__MAXIMAL_FACES" class="foldit"><div class="descr"><p> Maximal faces of the hypersurface as a polyhedral complex.
 Each such face is encoded as a set of <a href="#Hypersurface__POINTS" onclick="unfold('span:Hypersurface__POINTS');">POINTS</a> indices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__MONOMIALS" onclick="swap_content('span:Hypersurface__MONOMIALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__MONOMIALS" onclick="swap_content('span:Hypersurface__MONOMIALS'); return false;"><b>MONOMIALS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Hypersurface__MONOMIALS" class="foldit"><div class="descr"><p> Monomials of the (tropical) polynomial defining the hypersurface. (Laurent polynomials are allowed.)
 The rows stands for the monomials, the columns for the variables. I.e., the entry in position (i,j) is the exponent of x<sub>j</sub> in the i-th monomial. </p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__NON_NEGATIVE" onclick="swap_content('span:Hypersurface__NON_NEGATIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__NON_NEGATIVE" onclick="swap_content('span:Hypersurface__NON_NEGATIVE'); return false;"><b>NON_NEGATIVE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Hypersurface__NON_NEGATIVE" class="foldit"><div class="descr"><p> True if all <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a> have non-negative exponents, this means that the hypersurface is defined by
 an ordinary polynomial (that is, not a Laurent polynomial).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__N_MAXIMAL_FACES" onclick="swap_content('span:Hypersurface__N_MAXIMAL_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__N_MAXIMAL_FACES" onclick="swap_content('span:Hypersurface__N_MAXIMAL_FACES'); return false;"><b>N_MAXIMAL_FACES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__N_MAXIMAL_FACES" class="foldit"><div class="descr"><p> Number of maximal faces.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__N_POINTS" onclick="swap_content('span:Hypersurface__N_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__N_POINTS" onclick="swap_content('span:Hypersurface__N_POINTS'); return false;"><b>N_POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__N_POINTS" class="foldit"><div class="descr"><p> Number of <a href="#Hypersurface__POINTS" onclick="unfold('span:Hypersurface__POINTS');">POINTS</a> (vertices plus rays).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__N_RAYS" onclick="swap_content('span:Hypersurface__N_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__N_RAYS" onclick="swap_content('span:Hypersurface__N_RAYS'); return false;"><b>N_RAYS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__N_RAYS" class="foldit"><div class="descr"><p> Number of <a href="#Hypersurface__RAYS" onclick="unfold('span:Hypersurface__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__N_TERMS" onclick="swap_content('span:Hypersurface__N_TERMS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__N_TERMS" onclick="swap_content('span:Hypersurface__N_TERMS'); return false;"><b>N_TERMS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__N_TERMS" class="foldit"><div class="descr"><p> Number of terms.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__N_VARS" onclick="swap_content('span:Hypersurface__N_VARS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__N_VARS" onclick="swap_content('span:Hypersurface__N_VARS'); return false;"><b>N_VARS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__N_VARS" class="foldit"><div class="descr"><p> Number of variables.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__N_VERTICES" onclick="swap_content('span:Hypersurface__N_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__N_VERTICES" onclick="swap_content('span:Hypersurface__N_VERTICES'); return false;"><b>N_VERTICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Hypersurface__N_VERTICES" class="foldit"><div class="descr"><p> Number of <a href="#Hypersurface__VERTICES" onclick="unfold('span:Hypersurface__VERTICES');">VERTICES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__POINTS" onclick="swap_content('span:Hypersurface__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__POINTS" onclick="swap_content('span:Hypersurface__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Hypersurface__POINTS" class="foldit"><div class="descr"><p> Points and rays of the hypersurface, vertices of the complex.
 No canonicalization enforced.  Note that a tropical hypersurface may be <a href="#Hypersurface__HOMOGENEOUS" onclick="unfold('span:Hypersurface__HOMOGENEOUS');">HOMOGENEOUS</a> or not.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__RAYS" onclick="swap_content('span:Hypersurface__RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__RAYS" onclick="swap_content('span:Hypersurface__RAYS'); return false;"><b>RAYS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Hypersurface__RAYS" class="foldit"><div class="descr"><p> Indices of the points that are rays.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__REDUNDANT_MONOMIALS" onclick="swap_content('span:Hypersurface__REDUNDANT_MONOMIALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__REDUNDANT_MONOMIALS" onclick="swap_content('span:Hypersurface__REDUNDANT_MONOMIALS'); return false;"><b>REDUNDANT_MONOMIALS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Hypersurface__REDUNDANT_MONOMIALS" class="foldit"><div class="descr"><p> Indices of <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a> which do not define facets of the <a href="#Hypersurface__DOME" onclick="unfold('span:Hypersurface__DOME');">DOME</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__REGIONS" onclick="swap_content('span:Hypersurface__REGIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__REGIONS" onclick="swap_content('span:Hypersurface__REGIONS'); return false;"><b>REGIONS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Hypersurface__REGIONS" class="foldit"><div class="descr"><p> Connected components of the complement.
 Rows correspond to facets of the <a href="#Hypersurface__DOME" onclick="unfold('span:Hypersurface__DOME');">DOME</a>, i.e. non-redundant <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a> , columns correspond to <a href="#Hypersurface__POINTS" onclick="unfold('span:Hypersurface__POINTS');">POINTS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__VERTICES" onclick="swap_content('span:Hypersurface__VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__VERTICES" onclick="swap_content('span:Hypersurface__VERTICES'); return false;"><b>VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Hypersurface__VERTICES" class="foldit"><div class="descr"><p> Vertices of the hypersurface.</p></div></div></div></div></li></ul><h4>User Methods of Hypersurface</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Hypersurface__opt_attained" onclick="swap_content('span:Hypersurface__opt_attained'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__opt_attained" onclick="swap_content('span:Hypersurface__opt_attained'); return false;"><b>opt_attained</b></a>
			(x)  

			
				→ Pair&lt;Rational,Set&gt;<div style="display: inline" id="span:Hypersurface__opt_attained" class="foldit"><br/><div class="descr_func"><div class="descr"><p> List the optimum value and the indices of the <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a> for which the optimum at a given point is attained.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">x</td><td><div class="descr"><div>given point</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Pair" onclick="unfold('span:Pair');">Pair&lt;Rational,Set&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__privileged_subdivision" onclick="swap_content('span:Hypersurface__privileged_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__privileged_subdivision" onclick="swap_content('span:Hypersurface__privileged_subdivision'); return false;"><b>privileged_subdivision</b></a>
			()  

			
				→ fan::PolyhedralComplex&lt;Rational&gt;<div style="display: inline" id="span:Hypersurface__privileged_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Privileged subdivision dual to the tropical hypersurface.
 The vertices of this PolyhedralComplex are the non-redundant <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="fan.html#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">fan::PolyhedralComplex&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__methods__Visualization" onclick="swap_content('span:Hypersurface__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Hypersurface__methods__Visualization" onclick="swap_content('span:Hypersurface__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:Hypersurface__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul><li><div class="li"><div class="icon" id="icon:Hypersurface__VISUAL" onclick="swap_content('span:Hypersurface__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__VISUAL" onclick="swap_content('span:Hypersurface__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::Hypersurface<div style="display: inline" id="span:Hypersurface__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the tropical hypersurface.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::Hypersurface</td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of Hypersurface</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Hypersurface__MonomPerm" onclick="swap_content('span:Hypersurface__MonomPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__MonomPerm" onclick="swap_content('span:Hypersurface__MonomPerm'); return false;"><b>MonomPerm</b></a><div style="display: inline" id="span:Hypersurface__MonomPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of MonomPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Hypersurface__MonomPerm__PERMUTATION" onclick="swap_content('span:Hypersurface__MonomPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__MonomPerm__PERMUTATION" onclick="swap_content('span:Hypersurface__MonomPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Hypersurface__MonomPerm__PERMUTATION" class="foldit"><div class="descr"><p> Transforming <a href="#Hypersurface__MONOMIALS" onclick="unfold('span:Hypersurface__MONOMIALS');">MONOMIALS</a> from this into basic object.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Hypersurface__PointsPerm" onclick="swap_content('span:Hypersurface__PointsPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__PointsPerm" onclick="swap_content('span:Hypersurface__PointsPerm'); return false;"><b>PointsPerm</b></a><div style="display: inline" id="span:Hypersurface__PointsPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of PointsPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Hypersurface__PointsPerm__PERMUTATION" onclick="swap_content('span:Hypersurface__PointsPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Hypersurface__PointsPerm__PERMUTATION" onclick="swap_content('span:Hypersurface__PointsPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Hypersurface__PointsPerm__PERMUTATION" class="foldit"><div class="descr"><p> Transforming <a href="#Hypersurface__VERTICES" onclick="unfold('span:Hypersurface__VERTICES');">VERTICES</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope" onclick="swap_content('span:TropicalPolytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="TropicalPolytope" onclick="swap_content('span:TropicalPolytope'); return false;"><span class="object">TropicalPolytope</span></a></h3></div><div style="display: inline" id="span:TropicalPolytope" class="foldit"><div class="descr"><p> FIXME: Include typecheck for Addition?/ Include addition!</p></div><div class="level3"/><h4>Properties of TropicalPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TropicalPolytope__AMBIENT_DIM" onclick="swap_content('span:TropicalPolytope__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__AMBIENT_DIM" onclick="swap_content('span:TropicalPolytope__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:TropicalPolytope__AMBIENT_DIM" class="foldit"><div class="descr"><p> Dimension of the tropical projective space which contains the tropical polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__CONVEX_HULL_2D_CYCLIC" onclick="swap_content('span:TropicalPolytope__CONVEX_HULL_2D_CYCLIC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__CONVEX_HULL_2D_CYCLIC" onclick="swap_content('span:TropicalPolytope__CONVEX_HULL_2D_CYCLIC'); return false;"><b>CONVEX_HULL_2D_CYCLIC</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__CONVEX_HULL_2D_CYCLIC" class="foldit"><div class="descr"><p> Cyclic order of the <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a> in the boundary (for dimension 2 only).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__ENVELOPE" onclick="swap_content('span:TropicalPolytope__ENVELOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__ENVELOPE" onclick="swap_content('span:TropicalPolytope__ENVELOPE'); return false;"><b>ENVELOPE</b>:
		</a><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a><br/><div style="display: inline" id="span:TropicalPolytope__ENVELOPE" class="foldit"><div class="descr"><p> Tropical polytopes have a natural description as the complex of bounded faces of their envelopes.
 This envelope depends on the choice of the <a href="#TropicalPolytope__POINTS" onclick="unfold('span:TropicalPolytope__POINTS');">POINTS</a> that generate the tropical polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__HALF_SPACES" onclick="swap_content('span:TropicalPolytope__HALF_SPACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__HALF_SPACES" onclick="swap_content('span:TropicalPolytope__HALF_SPACES'); return false;"><b>HALF_SPACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array</a><br/><div style="display: inline" id="span:TropicalPolytope__HALF_SPACES" class="foldit"><div class="descr"><p> Tropical halfspaces encoded as pairs of apices and sets of sectors.
 Maybe redundant (for now; subject to change in the future).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__POINTS" onclick="swap_content('span:TropicalPolytope__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__POINTS" onclick="swap_content('span:TropicalPolytope__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:TropicalPolytope__POINTS" class="foldit"><div class="descr"><p> Input points in homogeneous coordinates.  This is the fixed system of generators with respect
 to which many combinatorial properties are expressed.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PSEUDOVERTEX_COARSE_TYPES" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_COARSE_TYPES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PSEUDOVERTEX_COARSE_TYPES" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_COARSE_TYPES'); return false;"><b>PSEUDOVERTEX_COARSE_TYPES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__PSEUDOVERTEX_COARSE_TYPES" class="foldit"><div class="descr"><p> Coarse types of <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a> relative to <a href="#TropicalPolytope__POINTS" onclick="unfold('span:TropicalPolytope__POINTS');">POINTS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PSEUDOVERTEX_GRAPH" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PSEUDOVERTEX_GRAPH" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_GRAPH'); return false;"><b>PSEUDOVERTEX_GRAPH</b>:
		</a><a href="graph.html#Graph__specializations__Graph_Undirected" onclick="unfold('span:Graph__specializations__Graph_Undirected');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__PSEUDOVERTEX_GRAPH" class="foldit"><div class="descr"><p> Tropical polytopes have a natural description as ordinary polytopal complexes. This is the 1-skeleton of such a
 complex.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PSEUDOVERTEX_LABELS" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PSEUDOVERTEX_LABELS" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_LABELS'); return false;"><b>PSEUDOVERTEX_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__PSEUDOVERTEX_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a>.
 Can be used as "NodeLabels" in <a href="#TropicalPolytope__VISUAL_PLANAR" onclick="unfold('span:TropicalPolytope__VISUAL_PLANAR');">VISUAL_PLANAR</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PSEUDOVERTEX_TYPES" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_TYPES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PSEUDOVERTEX_TYPES" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTEX_TYPES'); return false;"><b>PSEUDOVERTEX_TYPES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__PSEUDOVERTEX_TYPES" class="foldit"><div class="descr"><p> Types of <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a> relative to <a href="#TropicalPolytope__POINTS" onclick="unfold('span:TropicalPolytope__POINTS');">POINTS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PSEUDOVERTICES" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PSEUDOVERTICES" onclick="swap_content('span:TropicalPolytope__PSEUDOVERTICES'); return false;"><b>PSEUDOVERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:TropicalPolytope__PSEUDOVERTICES" class="foldit"><div class="descr"><p> Pseudovertices are the vertices of the <a href="#TropicalPolytope__ENVELOPE" onclick="unfold('span:TropicalPolytope__ENVELOPE');">ENVELOPE</a> (with respect to <a href="#TropicalPolytope__POINTS" onclick="unfold('span:TropicalPolytope__POINTS');">POINTS</a>).
 original: property PSEUDOVERTICES : Matrix&lt;Scalar&gt;;</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VERTEX_LABELS" onclick="swap_content('span:TropicalPolytope__VERTEX_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VERTEX_LABELS" onclick="swap_content('span:TropicalPolytope__VERTEX_LABELS'); return false;"><b>VERTEX_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__VERTEX_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a>.
 If specified, they are shown by visualization tools instead of vertex indices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VERTEX_TYPES" onclick="swap_content('span:TropicalPolytope__VERTEX_TYPES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VERTEX_TYPES" onclick="swap_content('span:TropicalPolytope__VERTEX_TYPES'); return false;"><b>VERTEX_TYPES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__VERTEX_TYPES" class="foldit"><div class="descr"><p> Types of <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a> relative to <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VERTICES" onclick="swap_content('span:TropicalPolytope__VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VERTICES" onclick="swap_content('span:TropicalPolytope__VERTICES'); return false;"><b>VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:TropicalPolytope__VERTICES" class="foldit"><div class="descr"><p> Vertices of the tropical convex hull in homogeneous coordinates:
 We normalize by setting the first homogeneous coordinate to zero.</p></div></div></div></div></li></ul><h4>User Methods of TropicalPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TropicalPolytope__methods__Visualization" onclick="swap_content('span:TropicalPolytope__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="TropicalPolytope__methods__Visualization" onclick="swap_content('span:TropicalPolytope__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:TropicalPolytope__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VISUAL" onclick="swap_content('span:TropicalPolytope__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VISUAL" onclick="swap_content('span:TropicalPolytope__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::TropicalPolytope<div style="display: inline" id="span:TropicalPolytope__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the tropical polytope.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::TropicalPolytope</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VISUAL_HYPERPLANE_ARRANGEMENT" onclick="swap_content('span:TropicalPolytope__VISUAL_HYPERPLANE_ARRANGEMENT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VISUAL_HYPERPLANE_ARRANGEMENT" onclick="swap_content('span:TropicalPolytope__VISUAL_HYPERPLANE_ARRANGEMENT'); return false;"><b>VISUAL_HYPERPLANE_ARRANGEMENT</b></a>
			()  

			
				→ Visual::Hypersurface<div style="display: inline" id="span:TropicalPolytope__VISUAL_HYPERPLANE_ARRANGEMENT" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the arrangement of hyperplanes with apices in the <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a> of the tropical polytope.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td>Visual::Hypersurface</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VISUAL_PLANAR" onclick="swap_content('span:TropicalPolytope__VISUAL_PLANAR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VISUAL_PLANAR" onclick="swap_content('span:TropicalPolytope__VISUAL_PLANAR'); return false;"><b>VISUAL_PLANAR</b></a>
			()  

			
				→ Visual::TropicalPolytope<div style="display: inline" id="span:TropicalPolytope__VISUAL_PLANAR" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the tropical polytope projected onto the plane.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">Directions</td><td><div class="descr"><div>directions to project onto</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::TropicalPolytope</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalPolytope__VISUAL_PSEUDOVERTEX_GRAPH" onclick="swap_content('span:TropicalPolytope__VISUAL_PSEUDOVERTEX_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__VISUAL_PSEUDOVERTEX_GRAPH" onclick="swap_content('span:TropicalPolytope__VISUAL_PSEUDOVERTEX_GRAPH'); return false;"><b>VISUAL_PSEUDOVERTEX_GRAPH</b></a>
			()  

			
				→ Visual::TropicalPolytope<div style="display: inline" id="span:TropicalPolytope__VISUAL_PSEUDOVERTEX_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#TropicalPolytope__PSEUDOVERTEX_GRAPH" onclick="unfold('span:TropicalPolytope__PSEUDOVERTEX_GRAPH');">PSEUDOVERTEX_GRAPH</a> of a tropical polytope.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::TropicalPolytope</td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of TropicalPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PseudoVertexPerm" onclick="swap_content('span:TropicalPolytope__PseudoVertexPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PseudoVertexPerm" onclick="swap_content('span:TropicalPolytope__PseudoVertexPerm'); return false;"><b>PseudoVertexPerm</b></a><div style="display: inline" id="span:TropicalPolytope__PseudoVertexPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of PseudoVertexPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TropicalPolytope__PseudoVertexPerm__PERMUTATION" onclick="swap_content('span:TropicalPolytope__PseudoVertexPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalPolytope__PseudoVertexPerm__PERMUTATION" onclick="swap_content('span:TropicalPolytope__PseudoVertexPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:TropicalPolytope__PseudoVertexPerm__PERMUTATION" class="foldit"><div class="descr"><p> transforming <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:functions__Other" onclick="swap_content('span:functions__Other'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Other" onclick="swap_content('span:functions__Other'); return false;"><span class="category">Other</span></a></h3></div><div style="display: inline" id="span:functions__Other" class="foldit"><div class="descr"><p> Special purpose functions.</p></div><ul><li><div class="li"><div class="icon" id="icon:ch2d_3phases" onclick="swap_content('span:ch2d_3phases'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ch2d_3phases" onclick="swap_content('span:ch2d_3phases'); return false;"><b>ch2d_3phases</b></a>
			(n, Types, G)  

			
				→ Array&lt;int&gt;<div style="display: inline" id="span:ch2d_3phases" class="foldit"><br/><div class="descr_func"><div class="descr"><p> List the pseudovertices of a 2-dimensional tropical polytope on the boundary
 in counter-clockwise cyclic order.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of generators</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Set&gt;&gt;</a></td><td class="param">Types</td><td><div class="descr"><div>the types of the generators</div></div></td></tr><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the <a href="#TropicalPolytope__PSEUDOVERTEX_GRAPH" onclick="unfold('span:TropicalPolytope__PSEUDOVERTEX_GRAPH');">PSEUDOVERTEX_GRAPH</a></div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;int&gt;</a></td><td><div class="descr"><div>the pseudovertices on the boundary</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:check_minimality" onclick="swap_content('span:check_minimality'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="check_minimality" onclick="swap_content('span:check_minimality'); return false;"><b>check_minimality</b></a>
			(T, I, n)  

			
				→ Set<div style="display: inline" id="span:check_minimality" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks the three criteria of Gaubert and Katz to be
 the type <em class="param">T</em> of an apex of a minimal tropical halfspace.
 It is assumed that the points that the type refers to are given by 0,...,<em class="param">n</em>-1
 and that the index set <em class="param">I</em> is a subset of 0,...,<em class="param">d</em>-1
 where <em class="param">d</em> is the <a href="#TropicalPolytope__AMBIENT_DIM" onclick="unfold('span:TropicalPolytope__AMBIENT_DIM');">AMBIENT_DIM</a> of the tropical polytope.
 If the input fulfills all criteria, the output set is empty.
 If the input doesn't fulfill the first criterion the whole set 0,...,<em class="param">d</em>-1 is given back.
 If the input doesn't fulfill the second and third criterion, then the violating indices are stored.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">T</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">I</td><td/></tr><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:coarse_types" onclick="swap_content('span:coarse_types'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="coarse_types" onclick="swap_content('span:coarse_types'); return false;"><b>coarse_types</b></a>
			&lt;Coord&gt;
		 
			(points, generators)  

			
				→ Array&lt; Array&lt;int&gt;&gt;<div style="display: inline" id="span:coarse_types" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the coarse types of the <em class="param">points</em> set relative to a set of <em class="param">generators</em>.
 The following are two typical cases:
</p><blockquote><div> (1) <em class="param">points</em> = <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a> and <em class="param">generators</em> = <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a></div><div> (2) <em class="param">points</em> = <a href="#TropicalPolytope__POINTS" onclick="unfold('span:TropicalPolytope__POINTS');">POINTS</a>  and <em class="param">generators</em> = <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a></div></blockquote></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Coord&gt;</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Coord&gt;</a></td><td class="param">generators</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt; Array&lt;int&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:extract_pseudovertices" onclick="swap_content('span:extract_pseudovertices'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="extract_pseudovertices" onclick="swap_content('span:extract_pseudovertices'); return false;"><b>extract_pseudovertices</b></a>
			(T, P)  

			<div style="display: inline" id="span:extract_pseudovertices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Get the pseudovertices of a tropical polytope <em class="param">T</em> from the bounded subcomplex of the corresponding unbounded polyhedron <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">T</td><td/></tr><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td class="param">P</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:get_corners" onclick="swap_content('span:get_corners'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="get_corners" onclick="swap_content('span:get_corners'); return false;"><b>get_corners</b></a>
			(input)  

			
				→ Matrix<div style="display: inline" id="span:get_corners" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the corners of a tropical polytope given by its vertices.
 Cf.
</p><blockquote><div> M. Joswig, arXiv:0809.4694v2, Lemma 17.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">input</td><td><div class="descr"><div>points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lifted_pluecker" onclick="swap_content('span:lifted_pluecker'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lifted_pluecker" onclick="swap_content('span:lifted_pluecker'); return false;"><b>lifted_pluecker</b></a>
			(V)  

			
				→ Vector<div style="display: inline" id="span:lifted_pluecker" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the tropical Pluecker vector from a matrix representing points in the tropical torus.
 This can be used to lift regular subdivisions of a product of simplices to a
 matroid decomposition of hypersimplices.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minimal_tropical_halfspaces" onclick="swap_content('span:minimal_tropical_halfspaces'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minimal_tropical_halfspaces" onclick="swap_content('span:minimal_tropical_halfspaces'); return false;"><b>minimal_tropical_halfspaces</b></a>
			&lt;Coord&gt;
		 
			(T)  

			
				→ hash_set&lt; Pair&lt;Vector&lt;Coord&gt;,Set&lt;Int&gt; &gt; &gt;<div style="display: inline" id="span:minimal_tropical_halfspaces" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the minimal tropical halfspaces of a
 tropical polytope <em class="param">T</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">T</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>hash_set&lt; Pair&lt;Vector&lt;Coord&gt;,Set&lt;Int&gt; &gt; &gt;</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:types" onclick="swap_content('span:types'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="types" onclick="swap_content('span:types'); return false;"><b>types</b></a>
			&lt;Coord&gt;
		 
			(points, generators)  

			
				→ Array&lt;Array&lt;Set&gt;&gt;<div style="display: inline" id="span:types" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the fine types of the <em class="param">points</em> set relative to a set of <em class="param">generators</em>.
 The following are two typical cases:
</p><blockquote><div> (1) <em class="param">points</em> = <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a> and <em class="param">generators</em> = <a href="#TropicalPolytope__VERTICES" onclick="unfold('span:TropicalPolytope__VERTICES');">VERTICES</a></div><div> (2) <em class="param">points</em> = <a href="#TropicalPolytope__POINTS" onclick="unfold('span:TropicalPolytope__POINTS');">POINTS</a>  and <em class="param">generators</em> = <a href="#TropicalPolytope__PSEUDOVERTICES" onclick="unfold('span:TropicalPolytope__PSEUDOVERTICES');">PSEUDOVERTICES</a></div></blockquote></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Coord&gt;</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Coord&gt;</a></td><td class="param">generators</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Set&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_tropical_hypersurface" onclick="swap_content('span:functions__Producing_a_tropical_hypersurface'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_tropical_hypersurface" onclick="swap_content('span:functions__Producing_a_tropical_hypersurface'); return false;"><span class="category">Producing a tropical hypersurface</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_tropical_hypersurface" class="foldit"><div class="descr"><p> These functions produce a <a href="#Hypersurface" onclick="unfold('span:Hypersurface');">tropical hypersurface</a> from other objects.</p></div><ul><li><div class="li"><div class="icon" id="icon:hyperplane" onclick="swap_content('span:hyperplane'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hyperplane" onclick="swap_content('span:hyperplane'); return false;"><b>hyperplane</b></a>
			&lt;Addition&gt;
		 
			(coeffs)  

			
				→ Hypersurface&lt;Addition&gt;<div style="display: inline" id="span:hyperplane" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a tropical hyperplane as object of type Hypersurface.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td><div class="descr"><div><a href="common.html#Min" onclick="unfold('span:Min');">Min</a> or <a href="common.html#Max" onclick="unfold('span:Max');">Max</a>, default <a href="common.html#Min" onclick="unfold('span:Min');">Min</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">coeffs</td><td><div class="descr"><div>coefficients of the tropical linear form</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface&lt;Addition&gt;</a></td><td><div class="descr"><div>default <a href="common.html#Min" onclick="unfold('span:Min');">Min</a></div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:hypersurface_union" onclick="swap_content('span:hypersurface_union'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hypersurface_union" onclick="swap_content('span:hypersurface_union'); return false;"><b>hypersurface_union</b></a>
			(H1, H2, internal)  

			
				→ Hypersurface<div style="display: inline" id="span:hypersurface_union" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface</a></td><td class="param">H1</td><td/></tr><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface</a></td><td class="param">H2</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">internal</td><td><div class="descr"><div>default 1: both input hyperplanes lie in the same space</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface</a></td><td><div class="descr"><div>H1 cup H2</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:points2hypersurface" onclick="swap_content('span:points2hypersurface'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="points2hypersurface" onclick="swap_content('span:points2hypersurface'); return false;"><b>points2hypersurface</b></a>
			&lt;Addition&gt;
		 
			(points)  

			
				→ Hypersurface<div style="display: inline" id="span:points2hypersurface" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a tropical hypersurface defined by the linear
 hypersurfaces associated to the points.
 If the points are part of a min-tropical polytope then the output is a
 max-tropical hypersurface, and conversely.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td><div class="descr"><div><a href="common.html#Min" onclick="unfold('span:Min');">Min</a> or <a href="common.html#Max" onclick="unfold('span:Max');">Max</a>, default <a href="common.html#Min" onclick="unfold('span:Min');">Min</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Rational&gt;</a></td><td class="param">points</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_tropical_polytope" onclick="swap_content('span:functions__Producing_a_tropical_polytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_tropical_polytope" onclick="swap_content('span:functions__Producing_a_tropical_polytope'); return false;"><span class="category">Producing a tropical polytope</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_tropical_polytope" class="foldit"><div class="descr"><p> These functions produce an object of type <a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a> from other objects.</p></div><ul><li><div class="li"><div class="icon" id="icon:cornered_hull" onclick="swap_content('span:cornered_hull'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cornered_hull" onclick="swap_content('span:cornered_hull'); return false;"><b>cornered_hull</b></a>
			(T)  

			
				→ TropicalPolytope<div style="display: inline" id="span:cornered_hull" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the cornered hull of a tropical polytope.
 Cf.
</p><blockquote><div> M. Joswig, arXiv:0809.4694v2, Lemma 17.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">T</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cyclic" onclick="swap_content('span:cyclic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cyclic" onclick="swap_content('span:cyclic'); return false;"><b>cyclic</b></a>
			(d, n)  

			
				→ TropicalPolytope<div style="display: inline" id="span:cyclic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a tropical cyclic <em class="param">d</em>-polytope with <em class="param">n</em> vertices.
 Cf.
</p><blockquote><div> Josephine Yu &amp; Florian Block, arXiv: math.MG/0503279.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>int</td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td>int</td><td class="param">n</td><td><div class="descr"><div>the number of generators</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:discard_non_vertices" onclick="swap_content('span:discard_non_vertices'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="discard_non_vertices" onclick="swap_content('span:discard_non_vertices'); return false;"><b>discard_non_vertices</b></a>
			(points)  

			
				→ Matrix<div style="display: inline" id="span:discard_non_vertices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Given points in the tropical projective space, discard all the non-vertices of the tropical convex hull.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dualize" onclick="swap_content('span:dualize'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dualize" onclick="swap_content('span:dualize'); return false;"><b>dualize</b></a>
			&lt;Coord&gt;
		 
			(points, generators)  

			
				→ Matrix<div style="display: inline" id="span:dualize" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Dualizes a point set with respect to the generators of a tropical polytope.
 The points are dualized with respect to the (rows of the) matrix of the generators.
 Cf.
</p><blockquote><div> Develin &amp; Sturmfels, Tropical Convexity, Lemma 22.</div></blockquote></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">generators</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:hypersimplex" onclick="swap_content('span:hypersimplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hypersimplex" onclick="swap_content('span:hypersimplex'); return false;"><b>hypersimplex</b></a>
			(k, d)  

			
				→ TropicalPolytope<div style="display: inline" id="span:hypersimplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the tropical hypersimplex Δ(<em class="param">k</em>,<em class="param">d</em>).
 Cf.
</p><blockquote><div> M. Joswig math/0312068v3, Ex. 2.10.</div></blockquote><p> The value of <em class="param">k</em> defaults to 1, yielding a tropical standard simplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>int</td><td class="param">k</td><td><div class="descr"><div>the number of -1 entries</div></div></td></tr><tr><td>int</td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minkowski_sum" onclick="swap_content('span:minkowski_sum'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minkowski_sum" onclick="swap_content('span:minkowski_sum'); return false;"><b>minkowski_sum</b></a>
			&lt;Coord&gt;
		 
			(lambda, P, mu, Q)  

			
				→ TropicalPolytope<div style="display: inline" id="span:minkowski_sum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the tropical polytope (<em class="param">lambda</em> \( \otimes \) <em class="param">P</em>) \( \oplus \) (<em class="param">mu</em> \( \otimes \) <em class="param">Q</em>), where \( \otimes \) and \( \oplus \) are tropical scalar multiplication
 and tropical addition, respectively.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td>Scalar</td><td class="param">lambda</td><td/></tr><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">P</td><td/></tr><tr><td>Scalar</td><td class="param">mu</td><td/></tr><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">Q</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:poly2trop" onclick="swap_content('span:poly2trop'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="poly2trop" onclick="swap_content('span:poly2trop'); return false;"><b>poly2trop</b></a>
			(P)  

			
				→ TropicalPolytope<div style="display: inline" id="span:poly2trop" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Takes an ordinary convex polytope and interprets it in tropical projective space.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tropical_matroid_polytope" onclick="swap_content('span:tropical_matroid_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tropical_matroid_polytope" onclick="swap_content('span:tropical_matroid_polytope'); return false;"><b>tropical_matroid_polytope</b></a>
			(m, v)  

			
				→ TropicalPolytope<div style="display: inline" id="span:tropical_matroid_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the tropical matroid polytope from a matroid <em class="param">m</em>.
 Each vertex corresponds to a basis of the matroid,
 the non-bases coordinates get value 0, the bases coordinates
 get value <em class="param">v</em>, default is -1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="matroid.html#Matroid" onclick="unfold('span:Matroid');">matroid::Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">v</td><td><div class="descr"><div>value for the bases</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_another_object" onclick="swap_content('span:functions__Producing_another_object'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_another_object" onclick="swap_content('span:functions__Producing_another_object'); return false;"><span class="category">Producing another object</span></a></h3></div><div style="display: inline" id="span:functions__Producing_another_object" class="foldit"><div class="descr"><p> These functions produce an object of another type not contained in application tropical.</p></div><ul><li><div class="li"><div class="icon" id="icon:cornered_hull_poly" onclick="swap_content('span:cornered_hull_poly'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cornered_hull_poly" onclick="swap_content('span:cornered_hull_poly'); return false;"><b>cornered_hull_poly</b></a>
			(T)  

			
				→ polytope::Polytope<div style="display: inline" id="span:cornered_hull_poly" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the cornered hull of a tropical polytope.
 Cf.
</p><blockquote><div> M. Joswig, arXiv:0809.4694v2, Lemma 17.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">T</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:pseudovertices2poly" onclick="swap_content('span:pseudovertices2poly'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="pseudovertices2poly" onclick="swap_content('span:pseudovertices2poly'); return false;"><b>pseudovertices2poly</b></a>
			(T)  

			
				→ polytope::Polytope<div style="display: inline" id="span:pseudovertices2poly" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Takes a tropical polytope <em class="param">T</em> and interprets it in Euclidean space.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">T</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:trop2poly" onclick="swap_content('span:trop2poly'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="trop2poly" onclick="swap_content('span:trop2poly'); return false;"><b>trop2poly</b></a>
			&lt;Coord&gt;
		 
			(T)  

			
				→ polytope::Polytope<div style="display: inline" id="span:trop2poly" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Given points in tropical projective space, compute an ordinary unbounded polyhedron such that
 the tropical convex hull of the input is the bounded subcomplex of the latter.
 Cf.
</p><blockquote><div> Develin &amp; Sturmfels math.MG/0308254v2, Lemma 22.</div></blockquote><p> Warning: This client does not implement the reverse transformation to <a href="#poly2trop" onclick="unfold('span:poly2trop');">poly2trop</a>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">T</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tropical_complex" onclick="swap_content('span:tropical_complex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tropical_complex" onclick="swap_content('span:tropical_complex'); return false;"><b>tropical_complex</b></a>
			&lt;Coord&gt;
		 
			(points)  

			
				→ fan::PolyhedralComplex<div style="display: inline" id="span:tropical_complex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the tropical complex of <em class="param">points</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Coord&gt;</a></td><td class="param">points</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="fan.html#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">fan::PolyhedralComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tropical_intersection" onclick="swap_content('span:tropical_intersection'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tropical_intersection" onclick="swap_content('span:tropical_intersection'); return false;"><b>tropical_intersection</b></a>
			&lt;Coord&gt;
		 
			(pc1, pc2)  

			
				→ fan::PolyhedralComplex<div style="display: inline" id="span:tropical_intersection" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the intersection of two polyhedral complexes.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="fan.html#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">fan::PolyhedralComplex</a></td><td class="param">pc1</td><td/></tr><tr><td><a href="fan.html#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">fan::PolyhedralComplex</a></td><td class="param">pc2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="fan.html#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">fan::PolyhedralComplex</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Tropical_operations" onclick="swap_content('span:functions__Tropical_operations'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Tropical_operations" onclick="swap_content('span:functions__Tropical_operations'); return false;"><span class="category">Tropical operations</span></a></h3></div><div style="display: inline" id="span:functions__Tropical_operations" class="foldit"><div class="descr"><p> Functions for tropical arithmetic</p></div><ul><li><div class="li"><div class="icon" id="icon:evaluate__Hypersurface__Vector_Rational" onclick="swap_content('span:evaluate__Hypersurface__Vector_Rational'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="evaluate__Hypersurface__Vector_Rational" onclick="swap_content('span:evaluate__Hypersurface__Vector_Rational'); return false;"><b>evaluate</b></a>
			&lt;Addition&gt;
		 
			(H, x)  

			
				→ Rational<div style="display: inline" id="span:evaluate__Hypersurface__Vector_Rational" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Evaluate a tropical polynomial at a given point.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td><div class="descr"><div><a href="common.html#Min" onclick="unfold('span:Min');">Min</a> or <a href="common.html#Max" onclick="unfold('span:Max');">Max</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface</a></td><td class="param">H</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">x</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:evaluate__Hypersurface__Matrix_Rational" onclick="swap_content('span:evaluate__Hypersurface__Matrix_Rational'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="evaluate__Hypersurface__Matrix_Rational" onclick="swap_content('span:evaluate__Hypersurface__Matrix_Rational'); return false;"><b>evaluate</b></a>
			&lt;Addition&gt;
		 
			(H, X)  

			
				→ Vector&lt;Rational&gt;<div style="display: inline" id="span:evaluate__Hypersurface__Matrix_Rational" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Evaluate a tropical polynomial at a collection of points.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td><div class="descr"><div><a href="common.html#Min" onclick="unfold('span:Min');">Min</a> or <a href="common.html#Max" onclick="unfold('span:Max');">Max</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Hypersurface" onclick="unfold('span:Hypersurface');">Hypersurface</a></td><td class="param">H</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Rational&gt;</a></td><td class="param">X</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:nearest_point" onclick="swap_content('span:nearest_point'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="nearest_point" onclick="swap_content('span:nearest_point'); return false;"><b>nearest_point</b></a>
			&lt;Coord&gt;
		 
			(P, x)  

			
				→ Vector<div style="display: inline" id="span:nearest_point" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the projection of a point <em class="param">x</em> in  tropical projective space onto a tropical polytope <em class="param">P</em>.
 Cf.
</p><blockquote><div> Develin &amp; Sturmfels math.MG/0308254v2, Proposition 9.</div></blockquote></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#TropicalPolytope" onclick="unfold('span:TropicalPolytope');">TropicalPolytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Coord&gt;</a></td><td class="param">x</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:norm" onclick="swap_content('span:norm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="norm" onclick="swap_content('span:norm'); return false;"><b>norm</b></a>
			&lt;Scalar&gt;
		 
			(v)  

			
				→ Scalar<div style="display: inline" id="span:norm" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">tropical norm</em> of a vector <em class="param">v</em> in the tropical torus
 is the difference between the maximal and minimal coordinate 
 in any coordinate representation of the vector.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Scalar</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tdet" onclick="swap_content('span:tdet'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tdet" onclick="swap_content('span:tdet'); return false;"><b>tdet</b></a>
			&lt;Addition, Scalar&gt;
		 
			(matrix)  

			
				→ Scalar<div style="display: inline" id="span:tdet" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">tropical determinant</em> of a matrix.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td><div class="descr"><div><a href="common.html#Min" onclick="unfold('span:Min');">Min</a> or <a href="common.html#Max" onclick="unfold('span:Max');">Max</a>, default <a href="common.html#Min" onclick="unfold('span:Min');">Min</a></div></div></td></tr><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">matrix</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Scalar</td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div>
